<?php
/**
 * nK Button
 *
 * Example:
 * [nk_button link="https://googlee.com" effect="4" icon_right="" icon_left="" block="false" size="md" circle="false" color="black"]My Button[/nk_button]
 */

add_shortcode('nk_button', 'nk_button');
if (!function_exists('nk_button')) :
    function nk_button($atts, $content = null)
    {
        extract(shortcode_atts(array(
            "link" => "",
            "effect" => "",
            "background_effect" => "",
            "effect_color" => "",
            "icon_right" => "",
            "icon_left" => "",
            "block" => "",
            "circle_hover" => "",
            "three_dimensional" => "",
            "outline" => "",
            "hover" => "",
            "size" => 'default',
            "edges" => "",
            "color" => "dark-1",
            "text_color" => "dark-1",
            "hover_color" => "",
            "class" => "",
        ), $atts));
        $icon_str_right = $icon_str_left = $background_effect_container = '';

        $fill_color_effects = array(
            '3-left',
            '3-right',
            '4-top',
            '4-bottom',
            '4-left',
            '4-right',
            '6-v',
            '6-h',
            '7-v',
            '7-h'
        );
        // add classes
        if (musart_nk_check($text_color)) {
            $class .= ' text-' . $text_color;
        }
        if (musart_nk_check($color)) {
            $class .= ' nk-btn-color-' . $color;
        }

        if(musart_nk_check($effect)) {
            $class .= ' nk-btn-effect-' . $effect;
        }

        if(musart_nk_check($size) && $size!='default') {
            $class .= ' nk-btn-' . $size;
        }

        if(musart_nk_check($edges)) {
            $class .= ' nk-btn-'.$edges;
        }

        if(musart_nk_check($block)) {
            $class .= ' nk-btn-block';
        }
        if(musart_nk_check($three_dimensional)) {
            $class .= ' nk-btn-3d';
        }
        if(musart_nk_check($outline)) {
            $class .= ' nk-btn-outline';
        }
        if(musart_nk_check($circle_hover)) {
            $class .= ' nk-btn-circle-hover';
        }
        if(musart_nk_check($hover)) {
            $class .= ' hover';
        }
        if($hover_color){
            $class .= ' nk-btn-color-hover-'.$hover_color;
        }
        if(musart_nk_check($effect)) {
            if (array_search($effect, $fill_color_effects)!==false) {
                $class_effect = 'nk-btn-effect-bg';
                if ($effect_color) {
                    $class_effect .= ' bg-' . $effect_color;
                }
                $background_effect_container = '<span class="' . musart_sanitize_class($class_effect) . '"></span>';
            }
        }
        // icons
        if (musart_nk_check($icon_right)) {
            $icon_str_right = ' <span class="icon"><i class="' . musart_sanitize_class($icon_right) . '"></i></span> ';
        }
        if (musart_nk_check($icon_left)) {
            $icon_str_left = ' <span class="icon' . musart_sanitize_class(' '.$icon_left) . '"></span> ';
        }

        // link
        $link_atts = '';
        $tag = 'span';
        if (musart_nk_check($link) && function_exists('vc_build_link')) {
            $link = vc_build_link($link);

            if(isset($link['url']) && $link['url']) {
                $tag = 'a';
                $link_atts = ' href="' . esc_attr($link['url']) . '"';

                if(isset($link['title']) && $link['title']) {
                    $link_atts .= ' title="' . esc_attr($link['title']) . '"';
                }
                if(isset($link['target']) && $link['target']) {
                    $link_atts .= ' target="' . esc_attr($link['target']) . '"';
                }
                if(isset($link['rel']) && $link['rel']) {
                    $link_atts .= ' rel="' . esc_attr($link['rel']) . '"';
                }
            }
        } else if (musart_nk_check($link)) {
            $tag = 'a';
            $link_atts = ' href="' . esc_attr($link) . '"';
        }

        // additional classname for custom styles VC
        $class .= musart_get_css_tab_class($atts);

        return '<' . $tag . $link_atts . ' class="' . musart_sanitize_class('nk-btn ' . $class) . '">'.$background_effect_container.$icon_str_left.'<span>' . $content . '</span>' . $icon_str_right . '</' . $tag . '>';
    }
endif;


add_action( 'after_setup_theme', 'vc_nk_button' );
if ( ! function_exists( 'vc_nk_button' ) ) :
    function vc_nk_button() {
        if(function_exists('vc_map')) {
            /* Register shortcode with Visual Composer */
            vc_map( array(
                'name' => esc_html__('nK Button', '@@text_domain'),
                'base' => 'nk_button',
                'controls' => 'full',
                'category' => 'nK',
                'icon'     => 'icon-nk icon-nk-button',
                'params' => array_merge(array(
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__('Text', '@@text_domain'),
                        'param_name'  => 'content',
                        'value'       => 'Button',
                        'description' => '',
                        'admin_label' => true,
                    ),
                    array(
                        'type'       => 'vc_link',
                        'heading'    => esc_html__('Link', '@@text_domain'),
                        'param_name' => 'link',
                    ),
                    array(
                        "type"        => "iconpicker",
                        "heading"     => esc_html__('Icon Right', '@@text_domain'),
                        "param_name"  => "icon_right"
                    ),
                    array(
                        "type"        => "iconpicker",
                        "heading"     => esc_html__('Icon Left', '@@text_domain'),
                        "param_name"  => "icon_left"
                    ),
                    array(
                        'type'       => 'dropdown',
                        'heading'    => esc_html__('Effect', '@@text_domain'),
                        'param_name' => 'effect',
                        'std'        => false,
                        'value'      => array(
                            esc_html__('Disable', '@@text_domain')  => false,
                            esc_html__('Icon From Top no title', '@@text_domain')  => '1-top',
                            esc_html__('Icon From Bottom no title', '@@text_domain')  => '1-bottom',
                            esc_html__('Icon from left no title', '@@text_domain')  => '1-left',
                            esc_html__('Icon from Right no title', '@@text_domain')  => '1-right',
                            esc_html__('Icon From Left', '@@text_domain') => '2-left',
                            esc_html__('Icon From Right', '@@text_domain')  => '2-right',
                            esc_html__('Glow From Left', '@@text_domain') => '5-left',
                            esc_html__('Glow From Right', '@@text_domain') => '5-right',
                            esc_html__('Fill From Left Angle', '@@text_domain') => '3-left',
                            esc_html__('Fill From Right Angle', '@@text_domain')  => '3-right',
                            esc_html__('Fill From Top', '@@text_domain')  => '4-top',
                            esc_html__('Fill From Bottom', '@@text_domain')  => '4-bottom',
                            esc_html__('Fill From Left', '@@text_domain') => '4-left',
                            esc_html__('Fill From Right', '@@text_domain') => '4-right',
                            esc_html__('Fill From Center Vertical', '@@text_domain') => '6-v',
                            esc_html__('Fill From Center Horizontal', '@@text_domain') =>'6-h',
                            esc_html__('Fill From Center Vertical 2 ', '@@text_domain') => '7-v',
                            esc_html__('Fill From Center Horizontal 2', '@@text_domain') =>'7-h'
                        ),
                        'description' => ''
                    ),
                    array(
                        'type'       => 'dropdown',
                        'heading'    => esc_html__('Fill Color', '@@text_domain'),
                        'param_name' => 'effect_color',
                        'std'        => false,
                        'value'      => musart_get_colors(),
                        'description' => '',
                        'dependency' => array(
                            'element' => 'effect',
                            'value' => array(
                                '3-left',
                                '3-right',
                                '4-top',
                                '4-bottom',
                                '4-left',
                                '4-right',
                                '6-v',
                                '6-h',
                                '7-v',
                                '7-h',
                            ),
                        ),
                    ),
                    array(
                        'type'       => 'dropdown',
                        'heading'    => esc_html__('Size', '@@text_domain'),
                        'param_name' => 'size',
                        'std'        => 'default',
                        'value'      => array(
                            esc_html__('Default', '@@text_domain')  => 'default',
                            esc_html__('Extra Small', '@@text_domain')  => 'xs',
                            esc_html__('Small', '@@text_domain')  => 'sm',
                            esc_html__('Mid', '@@text_domain')    => 'md',
                            esc_html__('Large', '@@text_domain')  => 'lg',
                            esc_html__('X2', '@@text_domain')     => 'x2',
                            esc_html__('X3', '@@text_domain')     => 'x3',
                            esc_html__('X4', '@@text_domain')     => 'x4'
                        ),
                        'description' => ''
                    ),
                    array(
                        'param_name'  => 'block',
                        'heading'     => esc_html__('Block', '@@text_domain'),
                        'type'        => 'checkbox',
                        'value'       => array( '' => true ),
                    ),
                    array(
                        'param_name'  => 'outline',
                        'heading'     => esc_html__('Outline', '@@text_domain'),
                        'type'        => 'checkbox',
                        'value'       => array( '' => true ),
                    ),
                    array(
                        'param_name'  => 'three_dimensional',
                        'heading'     => esc_html__('3D Effect', '@@text_domain'),
                        'type'        => 'checkbox',
                        'value'       => array( '' => true ),
                    ),
                    array(
                        'param_name'  => 'circle_hover',
                        'heading'     => esc_html__('Circle Hover', '@@text_domain'),
                        'type'        => 'checkbox',
                        'value'       => array( '' => true ),
                    ),
                    array(
                        'param_name'  => 'hover',
                        'heading'     => esc_html__('Always Hover', '@@text_domain'),
                        'type'        => 'checkbox',
                        'value'       => array( '' => true ),
                    ),
                    array(
                        'type'       => 'dropdown',
                        'heading'    => esc_html__('The Edges', '@@text_domain'),
                        'param_name' => 'edges',
                        'std'        => false,
                        'value'      => array(
                            esc_html__('Disabled', '@@text_domain')  => false,
                            esc_html__('Circle', '@@text_domain')  => 'circle',
                            esc_html__('Rounded', '@@text_domain')  => 'rounded',
                        ),
                        'description' => ''
                    ),
                    array(
                        'type'       => 'dropdown',
                        'heading'    => esc_html__('Background Color', '@@text_domain'),
                        'param_name' => 'color',
                        'std'        => 'dark-1',
                        'value'      => musart_get_colors(),
                        'description' => ''
                    ),
                    array(
                        'type'       => 'dropdown',
                        'heading'    => esc_html__('Background Hover Color', '@@text_domain'),
                        'param_name' => 'hover_color',
                        'std'        => false,
                        'value'      => musart_get_colors(),
                        'description' => ''
                    ),
                    array(
                        'type'       => 'dropdown',
                        'heading'    => esc_html__('Text Color', '@@text_domain'),
                        'param_name' => 'text_color',
                        'std'        => 'dark-1',
                        'value'      => musart_get_colors(),
                        'description' => ''
                    ),
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__('Custom Classes', '@@text_domain'),
                        'param_name'  => 'class',
                        'value'       => '',
                        'description' => '',
                    )
                ), musart_get_css_tab())
            ) );
        }
    }
endif;
