<?php
/**
 * nK Counter
 *
 * Example:
 * [nk_counter style="1" count="58" count_color="#fff" icon="" icon_color="" title="Title" title_like="h4" show_border="false" align="center"]Text[/nk_counter]
 */

add_shortcode('nk_counter', 'nk_counter');
if (!function_exists('nk_counter')) :
    function nk_counter($atts, $content = null)
    {
        extract(shortcode_atts(array(
            "style" => "1",
            "count" => "58",
            "count_color" => "",
            "icon" => "",
            "icon_color" => "",
            "title" => "",
            "title_like" => "h4",
            "show_border" => "",
            "align" => "center",
            "class" => "",
        ), $atts));

        if ($style == 2 || $style == 3) {
            $class .= ' nk-counter-' . $style;
        } else {
            $class .= ' nk-counter';
        }

        // align
        if (musart_nk_check($align)) {
            $class .= ' text-' . $align;
        }

        // count
        if (musart_nk_check($count)) {
            $count_color_style = '';
            if (musart_nk_check($count_color)) {
                $count_color_style = ' style="color: ' . $count_color . ';"';
            }
            $count = '<div class="' . musart_sanitize_class('nk-count') . '"' . $count_color_style . '>' . esc_html($count) . '</div>';
        }

        // title
        if (musart_nk_check($title)) {
            $title = '<h3 class="' . musart_sanitize_class('nk-counter-title ' . $title_like) . '">' . esc_html($title) . '</h3>';
        }

        // icon
        if (musart_nk_check($icon)) {
            $icon_color_style = '';
            if (musart_nk_check($icon_color)) {
                $icon_color_style = ' style="color: ' . $icon_color . ';"';
            }
            $icon = '<div class="' . musart_sanitize_class('nk-counter-icon') . '"' . $icon_color_style . '>
                                <span class="' . musart_sanitize_class($icon) . '"></span>
                       </div>';
        }

        // content
        if (musart_nk_check($content)) {
            $content = '<p>' . do_shortcode($content) . '</p>';

            if ($style == 1) {
                $content = '<div class="nk-gap"></div> ' . $content;
            }
        }

        // additional classname for custom styles VC
        $class .= musart_get_css_tab_class($atts);

        // styles
        switch ($style) {
            case '2': {
                $result = '<div class="' . musart_sanitize_class($class) . '">
                    ' . $count . '
                    ' . $title . '
                    <div class="nk-gap"></div>
                    ' . $content . '
                </div>';
                break;
            }
            case '3': {
                $result = '<div class="' . musart_sanitize_class('nk-box-2' . (musart_nk_check($show_border) ? ' nk-box-line' : '')) . '">
                        <div class="' . musart_sanitize_class($class) . '">
                    ' . $icon . '
                    ' . $count . '
                    ' . $title . '
                    ' . $content . '
                        </div>
                    </div>';
                break;
            }
            default: {
                $result = '<div class="' . musart_sanitize_class($class) . '">
                    ' . $count . '
                    ' . $title . '
                    ' . $content . '
                </div>';
                break;
            }
        }
        return $result;
    }
endif;

add_action( 'after_setup_theme', 'vc_nk_counter' );
if ( ! function_exists( 'vc_nk_counter' ) ) :
    function vc_nk_counter() {
        if(function_exists('vc_map')) {
            /* Register shortcode with Visual Composer */
            vc_map( array(
                'name' => esc_html__('nK Counter', '@@text_domain'),
                'base' => 'nk_counter',
                'controls' => 'full',
                'category' => 'nK',
                'icon'     => 'icon-nk icon-nk-counter',
                'params' => array_merge(array(
                    array(
                        'type'       => 'dropdown',
                        'heading'    => esc_html__('Style', '@@text_domain'),
                        'param_name' => 'style',
                        'std'        => '1',
                        'value'      => array(
                            esc_html__('Style 1', '@@text_domain')  => '1',
                            esc_html__('Style 2', '@@text_domain')  => '2',
                            esc_html__('Style 3', '@@text_domain')  => '3',
                        ),
                        'description' => ''
                    ),
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__('Count', '@@text_domain'),
                        'param_name'  => 'count',
                        'value'       => '58',
                        'description' => '',
                        'admin_label' => true,
                    ),
                    array(
                        'type'       => 'colorpicker',
                        'heading'    => esc_html__('Count Color', '@@text_domain'),
                        'param_name' => 'count_color',
                        'dependency' => array(
                            'element'    => 'count',
                            'not_empty'  => true
                        ),
                    ),
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__('Title', '@@text_domain'),
                        'param_name'  => 'title',
                        'value'       => '',
                        'description' => '',
                        'admin_label' => true,
                    ),
                    array(
                        'type'       => 'dropdown',
                        'heading'    => esc_html__('Title Like', '@@text_domain'),
                        'param_name' => 'title_like',
                        'std'        => 'h4',
                        'value'      => array(
                            esc_html__('h1', '@@text_domain')  => 'h1',
                            esc_html__('h2', '@@text_domain')  => 'h2',
                            esc_html__('h3', '@@text_domain')  => 'h3',
                            esc_html__('h4', '@@text_domain')  => 'h4',
                            esc_html__('h5', '@@text_domain')  => 'h5',
                            esc_html__('h6', '@@text_domain')  => 'h6',
                            esc_html__('display-1', '@@text_domain')  => 'display-1',
                            esc_html__('display-2', '@@text_domain')  => 'display-2',
                            esc_html__('display-3', '@@text_domain')  => 'display-3',
                            esc_html__('display-4', '@@text_domain')  => 'display-4'
                        ),
                        'description' => ''
                    ),
                    array(
                        'type'        => 'textarea',
                        'heading'     => esc_html__('Text', '@@text_domain'),
                        'param_name'  => 'content',
                        'value'       => '',
                        'description' => '',
                        'admin_label' => true,
                    ),
                    array(
                        'type'       => 'dropdown',
                        'heading'    => esc_html__('Align', '@@text_domain'),
                        'param_name' => 'align',
                        'std'        => 'center',
                        'value'      => array(
                            esc_html__('Left', '@@text_domain')  => 'left',
                            esc_html__('Center', '@@text_domain')  => 'center',
                            esc_html__('Right', '@@text_domain')  => 'right'
                        ),
                        'description' => ''
                    ),
                    array(
                        "type"        => "iconpicker",
                        "heading"     => esc_html__('Icon', '@@text_domain'),
                        "param_name"  => "icon",
                        'dependency' => array(
                            'element'    => 'style',
                            'value'      => array('3')
                        ),
                    ),
                    array(
                        'type'       => 'colorpicker',
                        'heading'    => esc_html__('Icon Color', '@@text_domain'),
                        'param_name' => 'icon_color',
                        'dependency' => array(
                            'element'    => 'icon',
                            'not_empty'  => true
                        ),
                    ),
                    array(
                        "type"        => "checkbox",
                        "heading"     => esc_html__('Show Border', '@@text_domain'),
                        "param_name"  => "show_border",
                        "value"       => array( "" => true ),
                        'dependency' => array(
                            'element'    => 'style',
                            'value'      => array('3')
                        ),
                    ),
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__('Custom Classes', '@@text_domain'),
                        'param_name'  => 'class',
                        'value'       => '',
                        'description' => '',
                    )
                ), musart_get_css_tab())
            ) );
        }
    }
endif;
