<?php
/**
 * nK Plain Video
 *
 * Example:
 * [nk_plain_video video="https://www.youtube.com/watch?v=Wb2qjfpOeMo" thumb="13"]
 */

add_shortcode('nk_plain_video', 'nk_plain_video');
if (!function_exists('nk_plain_video')) :
    function nk_plain_video($atts, $content = null)
    {
        extract(shortcode_atts(array(
            "video" => "https://vimeo.com/108018156",
            "video_thumb"=>"",
            "class" => "",
        ), $atts));

        // additional classname for custom styles VC
        $class .= musart_get_css_tab_class($atts);

        $thumb_attribute = '';
        if(musart_nk_check($video_thumb)){
            $attachment = musart_get_attachment($video_thumb);
            if(isset($attachment['src'])){
                $thumb_attribute='data-video-thumb="'.esc_url($attachment['src']).'"';
            }
        }

        return '<div class="nk-plain-video ' . musart_sanitize_class($class) . '" data-video="' . esc_url($video) . '"' . $thumb_attribute . '></div>';
    }
endif;


add_action( 'after_setup_theme', 'vc_nk_plain_video' );
if ( ! function_exists( 'vc_nk_plain_video' ) ) :
    function vc_nk_plain_video() {
        if(function_exists('vc_map')) {
            /* Register shortcode with Visual Composer */
            vc_map( array(
                'name' => esc_html__('nK Plain Video', '@@text_domain'),
                'base' => 'nk_plain_video',
                'controls' => 'full',
                'category' => 'nK',
                'icon'     => 'icon-nk icon-nk-plain-video',
                'params' => array_merge(array(
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__('Video Link', '@@text_domain'),
                        'param_name'  => 'video',
                        'value'       => 'https://vimeo.com/108018156',
                        'description' => esc_html__("Supported Youtube and Vimeo", '@@text_domain'),
                        'admin_label' => true,
                    ),
                    array(
                        'type'       => 'attach_image',
                        'heading'    => esc_html__('Video Thumbnail', '@@text_domain'),
                        'param_name' => 'video_thumb',
                        'description' => ''
                    ),
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__('Custom Classes', '@@text_domain'),
                        'param_name'  => 'class',
                        'value'       => '',
                        'description' => '',
                    )
                ), musart_get_css_tab())
            ) );
        }
    }
endif;
