<?php
/**
 * nK Separator
 *
 * Example:
 *
 */

add_shortcode('nk_separator', 'nk_separator');
if (!function_exists('nk_separator')) :
    function nk_separator($atts, $content = null)
    {
        extract(shortcode_atts(array(
            "style" => false,
            "icon" => "fas fa-search",
            "align" => "",
            "class" => ""
        ), $atts));

        if(musart_nk_check($style) && $style=='icon'){
            $class .= ' nk-title-sep-icon';
        }else{
            $class .= ' nk-title-sep';
        }
        if(musart_nk_check($align)){
            $class .= ' text-'.$align;
        }
        // additional classname for custom styles VC
        $class .= musart_get_css_tab_class($atts);

        $result = '<div class="' . musart_sanitize_class($class) . '">';

        if(musart_nk_check($icon) && musart_nk_check($style) && $style=='icon'){
            $result.='<span class="icon"><span class="' . musart_sanitize_class($icon) . '"></span></span>';
        }

        $result.='</div>';

        return $result;
    }
endif;

add_action( 'after_setup_theme', 'vc_nk_separator' );
if ( ! function_exists( 'vc_nk_separator' ) ) :
    function vc_nk_separator() {
        if(function_exists('vc_map')) {
            /* Register shortcode with Visual Composer */
            vc_map( array(
                'name' => esc_html__('nK Separator', '@@text_domain'),
                'base' => 'nk_separator',
                'controls' => 'full',
                'category' => 'nK',
                'icon'     => 'icon-nk',
                'params' => array_merge(array(
                    array(
                        'type'       => 'dropdown',
                        'heading'    => esc_html__('Style', '@@text_domain'),
                        'param_name' => 'style',
                        'std'        => false,
                        'value'      => array(
                            esc_html__('disabled', '@@text_domain')  => false,
                            esc_html__('Icon', '@@text_domain')  => 'icon',
                        ),
                        'description' => ''
                    ),
                    array(
                        'type'        => 'iconpicker',
                        'heading'     => esc_html__('Icon', '@@text_domain'),
                        'param_name'  => 'icon',
                        'admin_label' => true,
                        'value'       => 'fas fa-search',
                    ),
                    array(
                        'type'       => 'dropdown',
                        'heading'    => esc_html__('Align', '@@text_domain'),
                        'param_name' => 'align',
                        'std'        => 'left',
                        'value'      => array(
                            esc_html__('Left', '@@text_domain')  => 'left',
                            esc_html__('Right', '@@text_domain')  => 'right',
                            esc_html__('Center', '@@text_domain')  => 'center',
                        ),
                        'description' => ''
                    ),
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__('Custom Classes', '@@text_domain'),
                        'param_name'  => 'class',
                        'value'       => '',
                        'description' => '',
                    )
                ), musart_get_css_tab())
            ) );
        }
    }
endif;
