<?php
/**
 * nK Social
 */

add_shortcode('nk_social', 'nk_social');
if (!function_exists('nk_social')) :
    function nk_social($atts, $content = null)
    {
        extract(shortcode_atts(array(
            "socials" => "",
            "inverted_color" => false,
            "class" => "",
        ), $atts));
        $result = '';

        // additional classname for custom styles VC
        $class .= musart_get_css_tab_class($atts);
        $class .= ' nk-widget-social';
        if(musart_nk_check($inverted_color)){
            $class .= ' nk-widget-social-inverted';
        }
        // parsing social array
        if (musart_nk_check($socials) && function_exists('vc_param_group_parse_atts')) {
            $socials = vc_param_group_parse_atts($socials);
        } elseif (musart_nk_check($socials)) {
            $socials_array = explode("|", $socials);
            $socials = array();
            foreach ($socials_array as $key_track => $track) {
                $track_array = explode(",", $track);
                foreach ($track_array as $key_field => $field) {
                    $field = trim($field);
                    switch ($key_field) {
                        case 0:
                            $socials[$key_track]['icon'] = $field;
                            break;
                        case 1:
                            $socials[$key_track]['link'] = $field;
                            break;
                    }
                }
            }
        }

        // output
        if (musart_nk_check($socials) && is_array($socials) && !empty($socials)) {
            $result .= '<div class="'.musart_sanitize_class(trim($class)).'">';
            foreach($socials as $social){
                if(musart_nk_check($social) && is_array($social) && !empty($social) && isset($social['link']) && isset($social['icon'])){
                    $result .= '<a href="'.esc_url($social['link']).'"><i class="'.musart_sanitize_class($social['icon']).'"></i></a>';
                }
            }
            $result .= '</div>';
        }
        return $result;
    }
endif;

add_action( 'after_setup_theme', 'vc_nk_social' );
if ( ! function_exists( 'vc_nk_social' ) ) :
    function vc_nk_social() {
        if(function_exists('vc_map')) {
            /* Register shortcode with Visual Composer */
            vc_map( array(
                'name' => esc_html__('nK Social', '@@text_domain'),
                'base' => 'nk_social',
                'controls' => 'full',
                'category' => 'nK',
                'icon'     => 'icon-nk',
                'params' => array_merge(array(
                    array(
                        'type' => 'param_group',
                        'heading' => esc_html__('Socials', '@@text_domain'),
                        'value' => '',
                        'param_name' => 'socials',
                        'params' => array(
                            array(
                                "type"        => "iconpicker",
                                "heading"     => esc_html__('Icon', '@@text_domain'),
                                "param_name"  => "icon"
                            ),
                            array(
                                'type' => 'textfield',
                                'heading' => esc_html__('Link', '@@text_domain'),
                                'param_name' => 'link',
                                'value' => '',
                            ),
                        ),
                    ),
                    array(
                        'param_name'  => 'inverted_color',
                        'heading'     => esc_html__('Inverted Hover Color', '@@text_domain'),
                        'type'        => 'checkbox',
                        'value'       => array( '' => true ),
                    ),
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__('Custom Classes', '@@text_domain'),
                        'param_name'  => 'class',
                        'value'       => '',
                        'description' => '',
                    )
                ), musart_get_css_tab())
            ) );
        }
    }
endif;
