<?php
/**
 * nK Title
 *
 * Example:
 * [nk_title tag="h2" like="h2"]My Title[/nk_title]
 */

add_shortcode('nk_title', 'nk_title');
if (!function_exists('nk_title')) :
    function nk_title($atts, $content = null)
    {
        extract(shortcode_atts(array(
            "tag"       => "h2",
            "like"      => "h2",
            "style"     => false,
            "align"      => "left",
            "class"     => ""
        ), $atts));

        switch ($tag) {
            case 'h1':
            case 'h2':
            case 'h3':
            case 'h4':
            case 'h5':
            case 'h6':
                break;
            default:
                $tag = 'div';
                break;
        }

        switch ($like) {
            case false:
            case 'h1':
            case 'h3':
            case 'h4':
            case 'h5':
            case 'h6':
            case 'display-1':
            case 'display-2':
            case 'display-3':
            case 'display-4':
                break;
            default:
                $like = 'h2';
                break;
        }
        if(musart_nk_check($style)){
            $class .= ' nk-' . $style;
        }
        if (musart_nk_check($like)) {
            $class .= ' ' . $like;
        }
        if(musart_nk_check($align)){
            $class .= ' text-'.$align;
        }
        // additional classname for custom styles VC
        $class .= musart_get_css_tab_class($atts);

        return "<" . $tag . " class='" . musart_sanitize_class($class) . "'>" . do_shortcode($content) . "</" . $tag . ">";
    }
endif;


add_action( 'after_setup_theme', 'vc_nk_title' );
if ( ! function_exists( 'vc_nk_title' ) ) :
    function vc_nk_title() {
        if(function_exists('vc_map')) {
            /* Register shortcode with Visual Composer */
            vc_map( array(
                'name' => esc_html__('nK Title', '@@text_domain'),
                'base' => 'nk_title',
                'controls' => 'full',
                'category' => 'nK',
                'icon'     => 'icon-nk icon-nk-title',
                'params' => array_merge(array(
                    array(
                        'type'        => 'textarea_html',
                        'heading'     => esc_html__('Inner Text', '@@text_domain'),
                        'param_name'  => 'content',
                        'holder'      => 'div',
                        'value'       => '',
                        'description' => '',
                    ),
                    array(
                        'type'       => 'dropdown',
                        'heading'    => esc_html__('Tag', '@@text_domain'),
                        'param_name' => 'tag',
                        'std'        => 'h2',
                        'value'      => array(
                            esc_html__('h1', '@@text_domain')  => 'h1',
                            esc_html__('h2', '@@text_domain')  => 'h2',
                            esc_html__('h3', '@@text_domain')  => 'h3',
                            esc_html__('h4', '@@text_domain')  => 'h4',
                            esc_html__('h5', '@@text_domain')  => 'h5',
                            esc_html__('h6', '@@text_domain')  => 'h6',
                            esc_html__('div', '@@text_domain') => 'div',
                        ),
                        'description' => ''
                    ),
                    array(
                        'type'       => 'dropdown',
                        'heading'    => esc_html__('Looks Like', '@@text_domain'),
                        'param_name' => 'like',
                        'std'        => false,
                        'value'      => array(
                            esc_html__('disabled', '@@text_domain')  => false,
                            esc_html__('h1', '@@text_domain')  => 'h1',
                            esc_html__('h2', '@@text_domain')  => 'h2',
                            esc_html__('h3', '@@text_domain')  => 'h3',
                            esc_html__('h4', '@@text_domain')  => 'h4',
                            esc_html__('h5', '@@text_domain')  => 'h5',
                            esc_html__('h6', '@@text_domain')  => 'h6',
                            esc_html__('display-1', '@@text_domain')  => 'display-1',
                            esc_html__('display-2', '@@text_domain')  => 'display-2',
                            esc_html__('display-3', '@@text_domain')  => 'display-3',
                            esc_html__('display-4', '@@text_domain')  => 'display-4'
                        ),
                        'description' => ''
                    ),
                    array(
                        'type'       => 'dropdown',
                        'heading'    => esc_html__('Style', '@@text_domain'),
                        'param_name' => 'style',
                        'std'        => false,
                        'value'      => array(
                            esc_html__('disabled', '@@text_domain')  => false,
                            esc_html__('Title', '@@text_domain')  => 'title',
                            esc_html__('Sub Title', '@@text_domain')  => 'sub-title',
                            esc_html__('Title Back', '@@text_domain')  => 'title-back',
                            esc_html__('Portfolio Title', '@@text_domain')  => 'portfolio-title',
                        ),
                        'description' => ''
                    ),
                    array(
                        'type'       => 'dropdown',
                        'heading'    => esc_html__('Align', '@@text_domain'),
                        'param_name' => 'align',
                        'std'        => 'left',
                        'value'      => array(
                            esc_html__('Left', '@@text_domain')  => 'left',
                            esc_html__('Right', '@@text_domain')  => 'right',
                            esc_html__('Center', '@@text_domain')  => 'center',
                        ),
                        'description' => ''
                    ),
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__('Custom Classes', '@@text_domain'),
                        'param_name'  => 'class',
                        'value'       => '',
                        'description' => '',
                    )
                ), musart_get_css_tab())
            ) );
        }
    }
endif;
