<?php


/**
 * nK Twitter
 *
 * Example:
 * [nk_twitter count="3"]
 */

add_shortcode('nk_twitter', 'nk_twitter');
if (!function_exists('nk_twitter')) :
    function nk_twitter($atts, $content = null)
    {
        extract(shortcode_atts(array(
            "count" => 3,
            "class" => ''
        ), $atts));

        $result = '';

        // additional classname for custom styles VC
        $class .= musart_get_css_tab_class($atts);
        $class .= ' nk-twitter-list';
        // Get the tweets from Twitter.
        nk_theme()->twitter()->set_data(array(
            'consumer_key' => musart_get_theme_mod('twitter_consumer_key'),
            'consumer_secret' => musart_get_theme_mod('twitter_consumer_secret'),
            'access_token' => musart_get_theme_mod('twitter_access_token'),
            'access_token_secret' => musart_get_theme_mod('twitter_access_token_secret'),
            'cachetime' => musart_get_theme_mod('twitter_cache_time')
        ));
        $tweets = nk_theme()->twitter()->get_tweets($count, musart_get_theme_mod('twitter_show_replies'));

        if (!nk_theme()->twitter()->has_error() && !empty($tweets)) {
            foreach ($tweets as $tweet) {
                if ($tweet) {
                    $result .= '<div class="nk-twitter">
                                    <span class="nk-twitter-icon fab fa-twitter"></span>
                                    <div class="nk-twitter-date">
                                        <span>' . $tweet->date_formatted . '</span>
                                    </div>
                                    <div class="nk-twitter-text">
                                        ' . $tweet->text_entitled . '
                                    </div>
                                </div>';
                }
            }
        } else if (nk_theme()->twitter()->has_error()) {
            $result = nk_theme()->twitter()->get_error()->message;
        }

        return '<div class="' . musart_sanitize_class(trim($class)) . '" data-twitter-count="' . esc_attr($count) . '">' . $result . '</div>';
    }
endif;


add_action( 'after_setup_theme', 'vc_nk_twitter' );
if ( ! function_exists( 'vc_nk_twitter' ) ) :
    function vc_nk_twitter() {
        if(function_exists('vc_map')) {
            /* Register shortcode with Visual Composer */
            vc_map( array(
                'name' => esc_html__('nK Twitter', '@@text_domain'),
                'base' => 'nk_twitter',
                'controls' => 'full',
                'category' => 'nK',
                'icon'     => 'icon-nk icon-nk-twitter',
                'params' => array_merge(array(
                    array(
                        'type'        => 'cusrom',
                        'param_name'  => 'note',
                        'heading'     => esc_html__('Note', '@@text_domain'),
                        'description' => esc_html__("Before use, you need to configure access to Twitter here - ", '@@text_domain') . '<a target="_blank" href="' . esc_url(admin_url('customize.php?autofocus[section]=musart_twitter')) . '">' . esc_html(admin_url('customize.php?autofocus[section]=musart_twitter')) . '</a>',
                    ),
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__('Count', '@@text_domain'),
                        'param_name'  => 'count',
                        'value'       => '3',
                        'description' => '',
                    ),
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__('Custom Classes', '@@text_domain'),
                        'param_name'  => 'class',
                        'value'       => '',
                        'description' => '',
                    )
                ), musart_get_css_tab())
            ) );
        }
    }
endif;
