<?php

/**
 * Init Admin Theme Pages
 */
if ( function_exists('nk_theme') && method_exists ( nk_theme() , 'theme_dashboard' ) ) :
    $musart_theme_demo_path = musart_admin()->admin_path . '/demos/';
    $musart_theme_demo_data = array(
        'blog_options' => array(
            'permalink' => '/%postname%/',
            'page_on_front_title' => 'Musart Label',
            'posts_per_page' => 6
        ),
        'navigations' => array(
            'Musart Label Menu' => array( 'primary', 'side_navigation_menu' ),
        ),
    );

    nk_theme()->theme_dashboard(array(
        'theme_title'         => 'Musart',
        'theme_id'            => '20890063',
        'theme_uri'           => 'https://themeforest.net/item/musart-music-label-and-artists-wordpress-theme/20890063?ref=_nK',
        'theme_documentation' => 'https://nkdev.info/docs/musart-wp/',
        'theme_changelog'     => 'https://nkdev.info/docs/musart-wp/log/',
        'ask_for_review'      => true,
        'is_envato_elements'  => true,
        'demos'               => array(
            'music-label' => array(
                'title'      => esc_html__('Music Label', 'musart'),
                'preview'    => 'https://wp.nkdev.info/musart/musart-label/',
                'thumbnail'  => get_template_directory_uri() . '/admin/assets/images/demos/music-label.jpg',
                'demo_data'  => array_merge($musart_theme_demo_data, array(
                    'demo_data_file' => $musart_theme_demo_path . 'music-label/content.xml',
                    'widgets_file' => $musart_theme_demo_path . 'music-label/widgets.wie',
                    'customizer_file' => $musart_theme_demo_path . 'music-label/customizer.dat',
                    'rev_slider_file' => $musart_theme_demo_path . 'music-label/musart-music-label-carousel.zip'
                ))
            ),
            'band' => array(
                'title'      => esc_html__('Band', 'musart'),
                'preview'    => 'https://wp.nkdev.info/musart/band/',
                'thumbnail'  => get_template_directory_uri() . '/admin/assets/images/demos/band.jpg',
                'demo_data'  => array_merge_recursive($musart_theme_demo_data, array(
                    'blog_options' => array(
                        'page_on_front_title' => 'Musart Band Main',
                    ),
                    'navigations' => array(
                        'Main Menu' => 'primary',
                        'Side Menu' => 'side_navigation_menu',
                    ),
                    'demo_data_file' => $musart_theme_demo_path . 'band/content.xml',
                    'widgets_file' => $musart_theme_demo_path . 'band/widgets.wie',
                    'customizer_file' => $musart_theme_demo_path . 'band/customizer.dat'
                ))
            ),
        ),
    ));
endif;
