<?php
/**
 * musart Plugins Activation
 *
 * @package musart
 */
require musart_admin()->admin_path . '/lib/class-tgm-plugin-activation.php';


/**
 * Register Required Plugins
 */
add_action( 'tgmpa_register', 'musart_register_required_plugins' );
if ( ! function_exists( 'musart_register_required_plugins' ) ) :
function musart_register_required_plugins() {

    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(

        // nK Themes Helper
        array(
            'name'       => 'nK Themes Helper',
            'slug'       => 'nk-themes-helper',
            'source'     => 'https://a.nkdev.info/wp-plugins/nk-themes-helper.zip',
            'version'   => '1.5.0',
            'required'   => true,
        ),

        // Musart Shortcodes
        array(
            'name'       => 'Musart Shortcodes',
            'slug'       => 'musart-shortcodes',
            'source'     => 'https://a.nkdev.info/wp-plugins/musart-shortcodes.zip',
            'version'   => '1.0.0',
            'required'   => true,
        ),

        // Visual Composer
        array(
            'name'       => 'WPBakery Visual Composer',
            'slug'       => 'js_composer',
            'source'     => 'https://a.nkdev.info/wp-plugins/js_composer.zip',
            'required'   => true,
        ),

        // ACF PRO
        array(
            'name'       => 'Advanced Custom Fields PRO',
            'slug'       => 'advanced-custom-fields-pro',
            'required'   => true,
            'source'    => 'https://a.nkdev.info/wp-plugins/advanced-custom-fields-pro.zip',
        ),

        // Kirki
        array(
            'name'       => 'Kirki',
            'slug'       => 'kirki',
            'required'   => true,
            'version'    => '2.3.6',
        ),

        // AWB
        array(
            'name'       => 'Advanced WordPress Backgrounds',
            'slug'       => 'advanced-backgrounds',
            'required'   => false,
        ),

        // Sociality
        array(
            'name'       => 'Sociality',
            'slug'       => 'sociality',
            'required'   => false,
        ),

        // Rev Slider
        array(
            'name'       => 'Slider Revolution',
            'slug'       => 'revslider',
            'source'     => 'https://a.nkdev.info/wp-plugins/revslider.zip',
            'required'   => false,
        ),
    );

    $config = array(
        'domain'           => 'musart',
        'default_path'     => '',
        'has_notices'      => true,
        'is_automatic'     => true,
        'message'          => ''
    );

    tgmpa( $plugins, $config );
}
endif;


// Visual Composer as theme
add_action( 'vc_before_init', 'musart_vc_setastheme' );
function musart_vc_setastheme() {
    vc_set_as_theme();
}

// Revolution Slider as theme
if(function_exists( 'set_revslider_as_theme' )) {
    add_action( 'init', 'musart_rev_setastheme' );
    function musart_rev_setastheme() {
        set_revslider_as_theme();
    }
}
