<?php
//customize ACF
if (!function_exists('musart_get_sidebars')) :
    function musart_get_sidebars()
    {
        global $wp_registered_sidebars;
        $sidebars = array('default' => 'default');

        foreach ($wp_registered_sidebars as $k => $sidebar) {
            $sidebars[$sidebar['id']] = $sidebar['name'];
        }

        return $sidebars;
    }
endif;

if (function_exists('acf_add_local_field_group')):
    add_action('init', 'musart_acf_nk_init');
    if (!function_exists('musart_acf_nk_init')):
        function musart_acf_nk_init()
        {
            acf_add_local_field_group(array(
                'key' => 'group_57f885759174a',
                'title' => 'Additional Options',
                'fields' => array(
                    array(
                        'key' => 'field_57f886ae7c1e6',
                        'label' => 'Header',
                        'name' => '',
                        'type' => 'tab',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'placement' => 'left',
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_57fb333816f9c',
                        'label' => 'Custom',
                        'name' => 'post_header_custom',
                        'type' => 'checkbox',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'true' => 'true',
                        ),
                        'default_value' => array(),
                        'layout' => 'vertical',
                        'toggle' => 0,
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_57f886dc7c1e7',
                        'label' => 'Show',
                        'name' => 'single_post_header_show',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb333816f9c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb720f19a655post',
                        'label' => 'Show Title',
                        'name' => 'single_post_header_show_title',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb979b8055bdpost',
                        'label' => 'Custom Title',
                        'name' => 'single_post_header_custom_title',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb720f19a655post',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '25',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_57fb979b80563bd_post',
                        'label' => 'Title Padding Bottom',
                        'name' => 'single_post_header_title_padding_bottom',
                        'type' => 'number',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb720f19a655post',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '25',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 0,
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => 0,
                        'max' => 500,
                        'step' => 1,
                    ),
                    array(
                        'key' => 'field_57fb720f19a6554_post',
                        'label' => 'Title Looks Like',
                        'name' => 'single_post_header_title_looks_like',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb720f19a655post',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '25',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            '' => 'disabled',
                            'h1' => 'h1',
                            'h2' => 'h2',
                            'h3' => 'h3',
                            'h4' => 'h4',
                            'h5' => 'h5',
                            'h6' => 'h6',
                            'display-1' => 'display-1',
                            'display-2' => 'display-2',
                            'display-3' => 'display-3',
                            'display-4' => 'display-4'
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb720f19a65541_post',
                        'label' => 'Title Align',
                        'name' => 'single_post_header_title_align',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb720f19a655post',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '25',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'center' => 'center',
                            'left' => 'left',
                            'right' => 'right',
                        ),
                        'default_value' => array(
                            0 => 'center',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f889b94ed76',
                        'label' => 'Size',
                        'name' => 'single_post_header_size',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'sm' => 'Small',
                            'md' => 'Middle',
                            'lg' => 'Large',
                            'xl' => 'X-Large',
                            'full' => 'Full',
                            'default' => 'default',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f88e563ad91',
                        'label' => 'Parallax for Background Image',
                        'name' => 'single_post_header_parallax',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f890953ad92',
                        'label' => 'Opacity Parallax Content',
                        'name' => 'single_post_header_parallax_opacity',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f8923c3bd5b',
                        'label' => 'Background Type',
                        'name' => 'single_post_header_type_image',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            0 => 'False',
                            'featured' => 'Featured',
                            'custom' => 'Custom',
                            'default' => 'default',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f897593e01a',
                        'label' => 'Background Image',
                        'name' => 'single_post_header_background_image',
                        'type' => 'image',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f8923c3bd5b',
                                    'operator' => '==',
                                    'value' => 'custom',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'return_format' => 'url',
                        'preview_size' => 'full',
                        'library' => 'all',
                        'min_width' => '',
                        'min_height' => '',
                        'min_size' => '',
                        'max_width' => '',
                        'max_height' => '',
                        'max_size' => '',
                        'mime_types' => '',
                    ),
                    array(
                        'key' => 'field_5806267feae00',
                        'label' => 'Opacity',
                        'name' => 'single_post_header_background_image_opacity',
                        'type' => 'number',
                        'instructions' => 'Select opacity for Background Image',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f8923c3bd5b',
                                    'operator' => '==',
                                    'value' => 'custom',
                                ),
                                array(
                                    'field' => 'field_57f897593e01a',
                                    'operator' => '!=',
                                    'value' => '',
                                ),
                            ),
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f8923c3bd5b',
                                    'operator' => '==',
                                    'value' => 'featured',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 10,
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => 0,
                        'max' => 10,
                        'step' => 1,
                    ),
                    array(
                        'key' => 'field_57f89cd00460b',
                        'label' => 'Meta',
                        'name' => '',
                        'type' => 'tab',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'placement' => 'left',
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_57fb37e93c0c2',
                        'label' => 'Custom',
                        'name' => 'post_meta_custom',
                        'type' => 'checkbox',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'true' => 'true',
                        ),
                        'default_value' => array(),
                        'layout' => 'vertical',
                        'toggle' => 0,
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_57f89ce60460c',
                        'label' => 'Show Meta',
                        'name' => 'single_post_meta_show',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb37e93c0c2',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array (
                        'key' => 'field_58b555a788097',
                        'label' => 'Show Date, Author, Category block',
                        'name' => 'single_post_date_author_category_show',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array (
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array (
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array (
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array (
                        'key' => 'field_58b56c6688098',
                        'label' => 'Block Area',
                        'name' => 'single_post_date_author_category_area',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array (
                            array (
                                array (
                                    'field' => 'field_58b555a788097',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array (
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array (
                            'header-middle' => 'Header. Middle',
                            'header-bottom' => 'Header. Bottom',
                            'content-top' => 'Content. Top',
                            'content-after-format' => 'After Format Content',
                        ),
                        'default_value' => array (
                            0 => 'header-middle',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f89d2b0460d',
                        'label' => 'Meta Published',
                        'name' => 'single_post_meta_published_show',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f89ce60460c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb37e93c0c2',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f89d7b0460e',
                        'label' => 'Meta Categories',
                        'name' => 'single_post_meta_categories_show',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f89ce60460c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb37e93c0c2',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f89db60460f',
                        'label' => 'Meta Author',
                        'name' => 'single_post_meta_author_show',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f89ce60460c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb37e93c0c2',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f88899b567b',
                        'label' => 'Sidebar',
                        'name' => '',
                        'type' => 'tab',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'placement' => 'left',
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_57fb431467027',
                        'label' => 'Custom',
                        'name' => 'sidebar_post_custom',
                        'type' => 'checkbox',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'true' => 'true',
                        ),
                        'default_value' => array(),
                        'layout' => 'vertical',
                        'toggle' => 0,
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_57f888b9b567c',
                        'label' => 'Show',
                        'name' => 'sidebar_post_show',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb431467027',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f8a010abe74',
                        'label' => 'Sidebar',
                        'name' => 'sidebar_post_list',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f888b9b567c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb431467027',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => musart_get_sidebars(),
                        'default_value' => array(
                            0 => 'sidebar-post',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f8a160abe75',
                        'label' => 'Side',
                        'name' => 'sidebar_post_side',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f888b9b567c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb431467027',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'right' => 'Right',
                            'left' => 'Left',
                            'both' => 'Both'
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f8a010abe76_post',
                        'label' => 'Additional Sidebar',
                        'name' => 'sidebar_post_additional_list',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f888b9b567c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb431467027',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f8a160abe75',
                                    'operator' => '==',
                                    'value' => 'both',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => musart_get_sidebars(),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f8a1bbabe76',
                        'label' => 'Sticky',
                        'name' => 'sidebar_post_sticky',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f888b9b567c',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb431467027',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb484903bdf',
                        'label' => 'Navigation',
                        'name' => '',
                        'type' => 'tab',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'placement' => 'left',
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_57fb486103be0',
                        'label' => 'Custom',
                        'name' => 'post_custom_navigation',
                        'type' => 'checkbox',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'true' => 'true',
                        ),
                        'default_value' => array(),
                        'layout' => 'vertical',
                        'toggle' => 0,
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_57fb49fd03be2',
                        'label' => 'Show Main Navigation',
                        'name' => 'main_navigation_show',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb486103be0',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb4aae03be6',
                        'label' => 'Show Side Navigation',
                        'name' => 'side_navigation_show',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb486103be0',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb4b5103be8',
                        'label' => 'Show Mobile Navigation',
                        'name' => 'main_navigation_mobile_show',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb486103be0',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb50ed97acb',
                        'label' => 'Footer',
                        'name' => '',
                        'type' => 'tab',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'placement' => 'left',
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_57fb510297acc',
                        'label' => 'Custom',
                        'name' => 'post_custom_footer',
                        'type' => 'checkbox',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'true' => 'true',
                        ),
                        'default_value' => array(),
                        'layout' => 'vertical',
                        'toggle' => 0,
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_57fb512c97acd',
                        'label' => 'Show',
                        'name' => 'footer_show',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb510297acc',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb71db19a6d',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'tab',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'placement' => 'left',
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_57fb71ee19a6e',
                        'label' => 'Custom',
                        'name' => 'content_post_custom',
                        'type' => 'checkbox',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'true' => 'true',
                        ),
                        'default_value' => array(),
                        'layout' => 'vertical',
                        'toggle' => 0,
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_57fb720f19a6f',
                        'label' => 'Boxed',
                        'name' => 'single_post_boxed',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb71ee19a6e',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'Default',
                            'true' => 'Enable',
                            0 => 'Disable',
                            'narrow' => 'Narrow'
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb720f19a6post',
                        'label' => 'Show Title',
                        'name' => 'single_post_content_show_title',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb71ee19a6e',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb979b80bdpost',
                        'label' => 'Custom Title',
                        'name' => 'single_post_content_custom_title',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb71ee19a6e',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb720f19a6post',
                                    'operator' => '==',
                                    'value' => 'true',
                                ), 
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'post_type',
                            'operator' => '==',
                            'value' => 'post',
                        ),
                    ),
                ),
                'menu_order' => 0,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => 1,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_page',
                'title' => 'Additional Options',
                'fields' => array(
                    array(
                        'key' => 'field_57f886ae7c1e6page',
                        'label' => 'Header',
                        'name' => '',
                        'type' => 'tab',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'placement' => 'left',
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_57fb333816f9cpage',
                        'label' => 'Custom',
                        'name' => 'page_header_custom',
                        'type' => 'checkbox',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'true' => 'true',
                        ),
                        'default_value' => array(),
                        'layout' => 'vertical',
                        'toggle' => 0,
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_57f886dc7c1e7page',
                        'label' => 'Show',
                        'name' => 'single_page_header_show',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb720f19a6553page',
                        'label' => 'Show Title',
                        'name' => 'single_page_header_show_title',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb979b80553bdpage',
                        'label' => 'Custom Title',
                        'name' => 'single_page_header_custom_title',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb720f19a6553page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '25',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_57fb979b80563bd_page',
                        'label' => 'Title Padding Bottom',
                        'name' => 'single_page_header_title_padding_bottom',
                        'type' => 'number',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb720f19a6553page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '25',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 0,
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => 0,
                        'max' => 500,
                        'step' => 1,
                    ),
                    array(
                        'key' => 'field_57fb720f19a6554_page',
                        'label' => 'Title Looks Like',
                        'name' => 'single_page_header_title_looks_like',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb720f19a6553page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '25',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            '' => 'disabled',
                            'h1' => 'h1',
                            'h2' => 'h2',
                            'h3' => 'h3',
                            'h4' => 'h4',
                            'h5' => 'h5',
                            'h6' => 'h6',
                            'display-1' => 'display-1',
                            'display-2' => 'display-2',
                            'display-3' => 'display-3',
                            'display-4' => 'display-4'
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb720f19a65541_page',
                        'label' => 'Title Align',
                        'name' => 'single_page_header_title_align',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb720f19a6553page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '25',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'center' => 'center',
                            'left' => 'left',
                            'right' => 'right',
                        ),
                        'default_value' => array(
                            0 => 'center',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb979b80bddcpage',
                        'label' => 'Back Title',
                        'name' => 'single_page_header_back_title',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '25',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_57fb979b801bddc_page',
                        'label' => 'Back Title Opacity',
                        'name' => 'single_page_header_back_title_opacity',
                        'type' => 'number',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '25',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 1,
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => 0,
                        'max' => 10,
                        'step' => 1,
                    ),
                    array(
                        'key' => 'field_57fb979b802bddc_page',
                        'label' => 'Back Title Padding Bottom',
                        'name' => 'single_page_header_back_title_padding_bottom',
                        'type' => 'number',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '25',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 0,
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => 0,
                        'max' => 500,
                        'step' => 1,
                    ),
                    array(
                        'key' => 'field_57fb979b8021bddc_page',
                        'label' => 'Back Title Align',
                        'name' => 'single_page_header_back_title_align',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '25',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'center' => 'center',
                            'left' => 'left',
                            'right' => 'right',
                        ),
                        'default_value' => array(
                            0 => 'center',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb980d80bdfcpage',
                        'label' => 'Sub Title',
                        'name' => 'single_page_header_sub_title',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '33.3',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_57fb980d81bdfc_page',
                        'label' => 'Sub Title Padding Bottom',
                        'name' => 'single_page_header_sub_title_padding_bottom',
                        'type' => 'number',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '33.3',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 0,
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => 0,
                        'max' => 500,
                        'step' => 1,
                    ),
                    array(
                        'key' => 'field_57fb980d8123bdfc_page',
                        'label' => 'Sub Title Align',
                        'name' => 'single_page_header_sub_title_align',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '33.3',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'center' => 'center',
                            'left' => 'left',
                            'right' => 'right',
                        ),
                        'default_value' => array(
                            0 => 'center',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f889b94ed76page',
                        'label' => 'Size',
                        'name' => 'single_page_header_size',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'sm' => 'Small',
                            'md' => 'Middle',
                            'lg' => 'Large',
                            'xl' => 'X-Large',
                            'full' => 'Full',
                            'default' => 'default',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f88e563ad91page',
                        'label' => 'Parallax for Background Image',
                        'name' => 'single_page_header_parallax',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f890953ad92page',
                        'label' => 'Opacity Parallax Content',
                        'name' => 'single_page_header_parallax_opacity',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f8923c3bd5bpage',
                        'label' => 'Background  Type',
                        'name' => 'single_page_header_type_image',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            0 => 'False',
                            'featured' => 'Featured',
                            'custom' => 'Custom',
                            'default' => 'default',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f897593e01apage',
                        'label' => 'Background Image',
                        'name' => 'single_page_header_background_image',
                        'type' => 'image',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f8923c3bd5bpage',
                                    'operator' => '==',
                                    'value' => 'custom',
                                ),
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'return_format' => 'url',
                        'preview_size' => 'full',
                        'library' => 'all',
                        'min_width' => '',
                        'min_height' => '',
                        'min_size' => '',
                        'max_width' => '',
                        'max_height' => '',
                        'max_size' => '',
                        'mime_types' => '',
                    ),
                    array(
                        'key' => 'field_58062a42eab8fcpage',
                        'label' => 'Opacity',
                        'name' => 'single_page_header_background_image_opacity',
                        'type' => 'number',
                        'instructions' => 'Select opacity for Background Image',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f8923c3bd5bpage',
                                    'operator' => '==',
                                    'value' => 'custom',
                                ),
                                array(
                                    'field' => 'field_57f897593e01apage',
                                    'operator' => '!=',
                                    'value' => '',
                                ),
                            ),
                            array(
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f8923c3bd5bpage',
                                    'operator' => '==',
                                    'value' => 'featured',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 10,
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => 0,
                        'max' => 10,
                        'step' => 1,
                    ),
                    array(
                        'key' => 'field_57fb982380be0cpage',
                        'label' => 'Content',
                        'name' => 'single_page_header_content',
                        'type' => 'wysiwyg',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'tabs' => 'all',
                        'toolbar' => 'full',
                        'media_upload' => 1,
                    ),
                    array(
                        'key' => 'field_57fb984f80be1cpage',
                        'label' => 'Video Link',
                        'name' => 'single_page_header_video_link',
                        'type' => 'url',
                        'instructions' => 'Supported YouTube and Vimeo links',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '50',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb984f80be2c_page',
                        'label' => 'Icon Video Style',
                        'name' => 'single_page_header_video_style',
                        'type' => 'select',
                        'instructions' => ' ',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb333816f9cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f886dc7c1e7page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '50',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            '' => 'Black',
                            '2' => 'Black 2',
                            'light' => 'Light',
                            '2-light' => 'Light 2',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f88899b567bpage',
                        'label' => 'Sidebar',
                        'name' => '',
                        'type' => 'tab',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'placement' => 'left',
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_57fb431467027page',
                        'label' => 'Custom',
                        'name' => 'sidebar_page_custom',
                        'type' => 'checkbox',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'true' => 'true',
                        ),
                        'default_value' => array(),
                        'layout' => 'vertical',
                        'toggle' => 0,
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_57f888b9b567cpage',
                        'label' => 'Show',
                        'name' => 'sidebar_page_show',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb431467027page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f8a010abe74page',
                        'label' => 'Sidebar',
                        'name' => 'sidebar_page_list',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f888b9b567cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb431467027page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => musart_get_sidebars(),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f8a160abe75page',
                        'label' => 'Side',
                        'name' => 'sidebar_page_side',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f888b9b567cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb431467027page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'right' => 'Right',
                            'left' => 'Left',
                            'both' => 'Both'
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f8a010abe76_page',
                        'label' => 'Additional Sidebar',
                        'name' => 'sidebar_page_additional_list',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f888b9b567cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb431467027page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57f8a160abe75page',
                                    'operator' => '==',
                                    'value' => 'both',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => musart_get_sidebars(),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f8a1bbabe76page',
                        'label' => 'Sticky',
                        'name' => 'sidebar_page_sticky',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57f888b9b567cpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb431467027page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb484903bdfpage',
                        'label' => 'Navigation',
                        'name' => '',
                        'type' => 'tab',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'placement' => 'left',
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_57fb486103be0page',
                        'label' => 'Custom',
                        'name' => 'page_custom_navigation',
                        'type' => 'checkbox',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'true' => 'true',
                        ),
                        'default_value' => array(),
                        'layout' => 'vertical',
                        'toggle' => 0,
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_57fb49fd03be2page',
                        'label' => 'Show Main Navigation',
                        'name' => 'main_navigation_show',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb486103be0page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb4aae03be6page',
                        'label' => 'Show Side Navigation',
                        'name' => 'side_navigation_show',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb486103be0page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb4b5103be8page',
                        'label' => 'Show Mobile Navigation',
                        'name' => 'main_navigation_mobile_show',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb486103be0page',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb50ed97acbpage',
                        'label' => 'Footer',
                        'name' => '',
                        'type' => 'tab',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'placement' => 'left',
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_57fb510297accpage',
                        'label' => 'Custom',
                        'name' => 'page_custom_footer',
                        'type' => 'checkbox',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'true' => 'true',
                        ),
                        'default_value' => array(),
                        'layout' => 'vertical',
                        'toggle' => 0,
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_57fb512c97acdpage',
                        'label' => 'Show',
                        'name' => 'footer_show',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb510297accpage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb71db19a6dpage',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'tab',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'placement' => 'left',
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_57fb71ee19a6epage',
                        'label' => 'Custom',
                        'name' => 'content_page_custom',
                        'type' => 'checkbox',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'true' => 'true',
                        ),
                        'default_value' => array(),
                        'layout' => 'vertical',
                        'toggle' => 0,
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_57fb720f19a6fpage',
                        'label' => 'Boxed',
                        'name' => 'single_page_boxed',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb71ee19a6epage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb92e788cee',
                        'label' => 'Show Title',
                        'name' => 'single_page_content_show_title',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb71ee19a6epage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            'true' => 'true',
                            0 => 'false',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb979b80bdpage',
                        'label' => 'Custom Title',
                        'name' => 'single_page_content_custom_title',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb71ee19a6epage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb71ee19a6epage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                                array(
                                    'field' => 'field_57fb92e788cee',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_58077d2649bd3',
                        'label' => 'Top and Bottom paddings',
                        'name' => 'single_page_paddings',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_57fb71ee19a6epage',
                                    'operator' => '==',
                                    'value' => 'true',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'default' => 'default',
                            0 => 'false',
                            'true' => 'true',
                        ),
                        'default_value' => array(
                            0 => 'default',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'post_type',
                            'operator' => '==',
                            'value' => 'page',
                        ),
                    ),
                ),
                'menu_order' => 0,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => 1,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_57fb5ae192bb4',
                'title' => 'Audio Content',
                'fields' => array(
                    array(
                        'key' => 'field_57fb5c54f6a2b',
                        'label' => 'File',
                        'name' => 'content_post_audio_file',
                        'type' => 'file',
                        'instructions' => 'Select or add audio file. Also in the properties of the picture fill out the artist and song title.',
                        'required' => 1,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'return_format' => 'array',
                        'library' => 'all',
                        'min_size' => '',
                        'max_size' => '',
                        'mime_types' => 'mp3,mp4,wav,flac,m4a,wma,m4a',
                    ),
                    array(
                        'key' => 'field_57fb5d1bf6a2c',
                        'label' => 'Cover Image',
                        'name' => 'content_post_audio_image',
                        'type' => 'image',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'return_format' => 'url',
                        'preview_size' => 'full',
                        'library' => 'all',
                        'min_width' => '',
                        'min_height' => '',
                        'min_size' => '',
                        'max_width' => '',
                        'max_height' => '',
                        'max_size' => '',
                        'mime_types' => '',
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'post_type',
                            'operator' => '==',
                            'value' => 'post',
                        ),
                        array(
                            'param' => 'post_format',
                            'operator' => '==',
                            'value' => 'audio',
                        ),
                    ),
                ),
                'menu_order' => 0,
                'position' => 'acf_after_title',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => 1,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_57fb5339af841',
                'title' => 'Gallery Content',
                'fields' => array(
                    array(
                        'key' => 'field_57fb5354ce8fe',
                        'label' => 'Images',
                        'name' => 'content_post_gallery',
                        'type' => 'gallery',
                        'instructions' => 'Add two or more photos',
                        'required' => 1,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'min' => 2,
                        'max' => '',
                        'insert' => 'append',
                        'library' => 'all',
                        'min_width' => '',
                        'min_height' => '',
                        'min_size' => '',
                        'max_width' => '',
                        'max_height' => '',
                        'max_size' => '',
                        'mime_types' => '',
                    ),
                    array(
                        'key' => 'field_57fb53b3ce8ff',
                        'label' => 'Resolution photos',
                        'name' => 'content_post_gallery_preview_image_size',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 1,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => musart_get_image_sizes(),
                        'default_value' => 'musart_800x600',
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'label',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb5860ce900',
                        'label' => 'Show Arrows',
                        'name' => 'content_post_gallery_show_arrows',
                        'type' => 'checkbox',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'true' => 'true',
                        ),
                        'default_value' => array(),
                        'layout' => 'vertical',
                        'toggle' => 0,
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_57fb589dce901',
                        'label' => 'Autoplay',
                        'name' => 'content_post_gallery_data_autoplay',
                        'type' => 'number',
                        'instructions' => 'Type integer value in ms',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 0,
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => 0,
                        'max' => '',
                        'step' => 1,
                    ),
                    array(
                        'key' => 'field_57fb596bce902',
                        'label' => 'Show Dots',
                        'name' => 'content_post_gallery_data_dots',
                        'type' => 'checkbox',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'true' => 'true',
                        ),
                        'default_value' => array(),
                        'layout' => 'vertical',
                        'toggle' => 0,
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_57fb59afce903',
                        'label' => 'No Margin Between Slides',
                        'name' => 'content_post_gallery_no_margin',
                        'type' => 'checkbox',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'true' => 'true',
                        ),
                        'default_value' => array(),
                        'layout' => 'vertical',
                        'toggle' => 0,
                        'return_format' => 'value',
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'post_type',
                            'operator' => '==',
                            'value' => 'post',
                        ),
                        array(
                            'param' => 'post_format',
                            'operator' => '==',
                            'value' => 'gallery',
                        ),
                    ),
                ),
                'menu_order' => 0,
                'position' => 'acf_after_title',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => 1,
                'description' => '',
            ));
            acf_add_local_field_group(array(
                'key' => 'group_57fb649cd1988',
                'title' => 'Quote Content',
                'fields' => array(
                    array(
                        'key' => 'field_57fb64b6f5788',
                        'label' => 'Message',
                        'name' => 'content_post_quote_message',
                        'type' => 'wysiwyg',
                        'instructions' => '',
                        'required' => 1,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'tabs' => 'all',
                        'toolbar' => 'full',
                        'media_upload' => 0,
                    ),
                    array(
                        'key' => 'field_57fb6500f5789',
                        'label' => 'Author',
                        'name' => 'content_post_quote_author',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_57fb6523f578a',
                        'label' => 'Icon Color',
                        'name' => 'content_post_quote_icon_color',
                        'type' => 'color_picker',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                    ),
                    array(
                        'key' => 'field_57fb67a1f578b',
                        'label' => 'Background Image',
                        'name' => 'content_post_quote_background_image',
                        'type' => 'image',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'return_format' => 'url',
                        'preview_size' => 'full',
                        'library' => 'all',
                        'min_width' => '',
                        'min_height' => '',
                        'min_size' => '',
                        'max_width' => '',
                        'max_height' => '',
                        'max_size' => '',
                        'mime_types' => '',
                    ),
                    array(
                        'key' => 'field_57fb683df578c',
                        'label' => 'Size Image',
                        'name' => 'content_post_quote_image_size',
                        'type' => 'select',
                        'instructions' => 'Select resolution Background Image',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => musart_get_image_sizes(),
                        'default_value' => 'musart_800x600',
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'label',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57fb6882f578d',
                        'label' => 'Onclick Link',
                        'name' => 'content_post_quote_link',
                        'type' => 'url',
                        'instructions' => 'Enter onclick link',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'post_type',
                            'operator' => '==',
                            'value' => 'post',
                        ),
                        array(
                            'param' => 'post_format',
                            'operator' => '==',
                            'value' => 'quote',
                        ),
                    ),
                ),
                'menu_order' => 0,
                'position' => 'acf_after_title',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => 1,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_57f7a57b1a6b1',
                'title' => 'Video Content',
                'fields' => array(
                    array(
                        'key' => 'field_57f7a6039be07',
                        'label' => 'Video Link',
                        'name' => 'content_post_video',
                        'type' => 'url',
                        'instructions' => 'Supported YouTube and Vimeo links',
                        'required' => 1,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_57f7a6659be08',
                        'label' => 'Thumbnail',
                        'name' => 'content_post_video_thumbnail',
                        'type' => 'image',
                        'instructions' => 'Preview image before start click Video',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'return_format' => 'url',
                        'preview_size' => 'full',
                        'library' => 'all',
                        'min_width' => '',
                        'min_height' => '',
                        'min_size' => '',
                        'max_width' => '',
                        'max_height' => '',
                        'max_size' => '',
                        'mime_types' => '',
                    ),
                    array(
                        'key' => 'field_57f7a6cf9be09',
                        'label' => 'Thumbnail Size',
                        'name' => 'content_post_video_thumbnail_size',
                        'type' => 'select',
                        'instructions' => 'Select picture resolution',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => musart_get_image_sizes(),
                        'default_value' => 'musart_800x600',
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'label',
                        'placeholder' => '',
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'post_type',
                            'operator' => '==',
                            'value' => 'post',
                        ),
                        array(
                            'param' => 'post_format',
                            'operator' => '==',
                            'value' => 'video',
                        ),
                    ),
                ),
                'menu_order' => 0,
                'position' => 'acf_after_title',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => 1,
                'description' => '',
            ));
            /**
             * Custom posts function for init acf standard fields
             * */
            musart_acf_initial_custom_post(
                array(
                    'event',
                    'playlist',
                )
            );

            if( function_exists('acf_add_local_field_group') ):

                acf_add_local_field_group(array (
                    'key' => 'group_58401b0fcca1e',
                    'title' => 'Event Settings',
                    'fields' => array (
                        array (
                            'key' => 'field_587f8734f1397',
                            'label' => 'Style',
                            'name' => 'event_style',
                            'type' => 'select',
                            'instructions' => '',
                            'required' => 0,
                            'conditional_logic' => 0,
                            'wrapper' => array (
                                'width' => '',
                                'class' => '',
                                'id' => '',
                            ),
                            'choices' => array (
                                'default' => 'default',
                                'standard' => 'standard',
                                'half' => 'half',
                            ),
                            'default_value' => array (
                                0 => 'default',
                            ),
                            'allow_null' => 0,
                            'multiple' => 0,
                            'ui' => 0,
                            'ajax' => 0,
                            'return_format' => 'value',
                            'placeholder' => '',
                        ),
                        array (
                            'key' => 'field_58401b17a18b3',
                            'label' => 'Event date',
                            'name' => 'event_date',
                            'type' => 'date_picker',
                            'instructions' => '',
                            'required' => 1,
                            'conditional_logic' => 0,
                            'wrapper' => array (
                                'width' => '33.3',
                                'class' => '',
                                'id' => '',
                            ),
                            'display_format' => 'F j, Y',
                            'return_format' => 'j M|Y',
                            'first_day' => 1,
                        ),
                        array (
                            'key' => 'field_5841236e45ba6',
                            'label' => 'Location',
                            'name' => 'event_location',
                            'type' => 'text',
                            'instructions' => '',
                            'required' => 0,
                            'conditional_logic' => 0,
                            'wrapper' => array (
                                'width' => '33.3',
                                'class' => '',
                                'id' => '',
                            ),
                            'default_value' => '',
                            'placeholder' => '',
                            'prepend' => '',
                            'append' => '',
                            'maxlength' => '',
                        ),
                        array (
                            'key' => 'field_584123da45ba7',
                            'label' => 'Price',
                            'name' => 'event_price',
                            'type' => 'text',
                            'instructions' => '',
                            'required' => 0,
                            'conditional_logic' => 0,
                            'wrapper' => array (
                                'width' => '33.3',
                                'class' => '',
                                'id' => '',
                            ),
                            'default_value' => '',
                            'placeholder' => '',
                            'prepend' => '',
                            'append' => '',
                            'maxlength' => '',
                        ),
                        array (
                            'key' => 'field_5841241545ba8',
                            'label' => 'Product Name',
                            'name' => 'event_product_type',
                            'type' => 'text',
                            'instructions' => '',
                            'required' => 0,
                            'conditional_logic' => 0,
                            'wrapper' => array (
                                'width' => '33.3',
                                'class' => '',
                                'id' => '',
                            ),
                            'default_value' => '',
                            'placeholder' => '',
                            'prepend' => '',
                            'append' => '',
                            'maxlength' => '',
                        ),
                        array (
                            'key' => 'field_5841248245ba9',
                            'label' => 'Status Sales',
                            'name' => 'event_status_sales',
                            'type' => 'select',
                            'instructions' => '',
                            'required' => 0,
                            'conditional_logic' => 0,
                            'wrapper' => array (
                                'width' => '33.3',
                                'class' => '',
                                'id' => '',
                            ),
                            'choices' => array (
                                'sold_out' => 'Sold Out',
                                'buy' => 'Available for purchase',
                                'buy_on_date' => 'Available for purchase after a certain date',
                            ),
                            'default_value' => array (
                                0 => 'buy',
                            ),
                            'allow_null' => 0,
                            'multiple' => 0,
                            'ui' => 0,
                            'ajax' => 0,
                            'return_format' => 'value',
                            'placeholder' => '',
                        ),
                        array (
                            'key' => 'field_584125e245baa',
                            'label' => 'Link to Purchase',
                            'name' => 'event_link_to_purchase',
                            'type' => 'url',
                            'instructions' => '',
                            'required' => 0,
                            'conditional_logic' => array (
                                array (
                                    array (
                                        'field' => 'field_5841248245ba9',
                                        'operator' => '==',
                                        'value' => 'buy',
                                    ),
                                ),
                                array (
                                    array (
                                        'field' => 'field_5841248245ba9',
                                        'operator' => '==',
                                        'value' => 'buy_on_date',
                                    ),
                                ),
                            ),
                            'wrapper' => array (
                                'width' => '33.3',
                                'class' => '',
                                'id' => '',
                            ),
                            'default_value' => '',
                            'placeholder' => '',
                        ),
                        array (
                            'key' => 'field_5841265045bac',
                            'label' => 'Date Purchase',
                            'name' => 'event_date_purchase',
                            'type' => 'date_picker',
                            'instructions' => '',
                            'required' => 0,
                            'conditional_logic' => array (
                                array (
                                    array (
                                        'field' => 'field_5841248245ba9',
                                        'operator' => '==',
                                        'value' => 'buy_on_date',
                                    ),
                                ),
                            ),
                            'wrapper' => array (
                                'width' => '',
                                'class' => '',
                                'id' => '',
                            ),
                            'display_format' => 'F j, Y',
                            'return_format' => 'j F Y',
                            'first_day' => 1,
                        ),
                    ),
                    'location' => array (
                        array (
                            array (
                                'param' => 'post_type',
                                'operator' => '==',
                                'value' => 'event',
                            ),
                        ),
                    ),
                    'menu_order' => 0,
                    'position' => 'acf_after_title',
                    'style' => 'default',
                    'label_placement' => 'top',
                    'instruction_placement' => 'label',
                    'hide_on_screen' => '',
                    'active' => 1,
                    'description' => '',
                ));

                acf_add_local_field_group(array (
                    'key' => 'group_5847c06e508eb',
                    'title' => 'Main Fields',
                    'fields' => array (
                        array (
                            'key' => 'field_5847c081c5597',
                            'label' => 'Track List',
                            'name' => 'playlist_tracks',
                            'type' => 'repeater',
                            'instructions' => '',
                            'required' => 1,
                            'conditional_logic' => 0,
                            'wrapper' => array (
                                'width' => '',
                                'class' => '',
                                'id' => '',
                            ),
                            'collapsed' => '',
                            'min' => 0,
                            'max' => 0,
                            'layout' => 'row',
                            'button_label' => 'Add Track',
                            'sub_fields' => array (
                                array (
                                    'key' => 'field_5847c1d88b006',
                                    'label' => 'Track',
                                    'name' => 'track',
                                    'type' => 'file',
                                    'instructions' => '',
                                    'required' => 1,
                                    'conditional_logic' => 0,
                                    'wrapper' => array (
                                        'width' => '',
                                        'class' => '',
                                        'id' => '',
                                    ),
                                    'return_format' => 'array',
                                    'library' => 'all',
                                    'min_size' => '',
                                    'max_size' => '',
                                    'mime_types' => 'mp3,mp4,wav,flac,m4a,wma,m4a',
                                ),
                                array (
                                    'key' => 'field_58481c25212e2',
                                    'label' => 'Buy Link',
                                    'name' => 'buy_link',
                                    'type' => 'url',
                                    'instructions' => '',
                                    'required' => 0,
                                    'conditional_logic' => 0,
                                    'wrapper' => array (
                                        'width' => '',
                                        'class' => '',
                                        'id' => '',
                                    ),
                                    'default_value' => '',
                                    'placeholder' => '',
                                ),
                                array (
                                    'key' => 'field_58481c85212e3',
                                    'label' => 'Allow downloading?',
                                    'name' => 'downloading',
                                    'type' => 'true_false',
                                    'instructions' => '',
                                    'required' => 0,
                                    'conditional_logic' => 0,
                                    'wrapper' => array (
                                        'width' => '',
                                        'class' => '',
                                        'id' => '',
                                    ),
                                    'message' => '',
                                    'default_value' => 0,
                                    'ui' => 0,
                                    'ui_on_text' => '',
                                    'ui_off_text' => '',
                                ),
                            ),
                        ),
                        array (
                            'key' => 'field_5847c0ddc5598',
                            'label' => 'Buy Link',
                            'name' => 'playlist_buy_link',
                            'type' => 'url',
                            'instructions' => '',
                            'required' => 0,
                            'conditional_logic' => 0,
                            'wrapper' => array (
                                'width' => '',
                                'class' => '',
                                'id' => '',
                            ),
                            'default_value' => '',
                            'placeholder' => '',
                        ),
                        array (
                            'key' => 'field_5847cb4176758',
                            'label' => 'Price',
                            'name' => 'playlist_price',
                            'type' => 'text',
                            'instructions' => '',
                            'required' => 0,
                            'conditional_logic' => 0,
                            'wrapper' => array (
                                'width' => '',
                                'class' => '',
                                'id' => '',
                            ),
                            'default_value' => '',
                            'placeholder' => '',
                            'prepend' => '',
                            'append' => '',
                            'maxlength' => '',
                        ),
                    ),
                    'location' => array (
                        array (
                            array (
                                'param' => 'post_type',
                                'operator' => '==',
                                'value' => 'playlist',
                            ),
                        ),
                    ),
                    'menu_order' => 0,
                    'position' => 'acf_after_title',
                    'style' => 'default',
                    'label_placement' => 'top',
                    'instruction_placement' => 'label',
                    'hide_on_screen' => '',
                    'active' => 1,
                    'description' => '',
                ));

            endif;
        }
    endif;
    if(!function_exists('musart_acf_initial_custom_post')):
        function musart_acf_initial_custom_post($type_posts){
            if(is_array($type_posts) && isset($type_posts) && !empty($type_posts)){
                foreach($type_posts as $type_post){

                    $acf_options = array (
                        'key' => 'group_' . $type_post,
                        'title' => 'Additional Options',
                        'fields' => array (
                            array (
                                'key' => 'field_57f886ae7c1e6_' . $type_post,
                                'label' => 'Header',
                                'name' => '',
                                'type' => 'tab',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'placement' => 'left',
                                'endpoint' => 0,
                            ),
                            array (
                                'key' => 'field_57fb333816f9c_' . $type_post,
                                'label' => 'Custom',
                                'name' => $type_post . '_header_custom',
                                'type' => 'checkbox',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array (
                                    'true' => 'true',
                                ),
                                'default_value' => array (
                                ),
                                'layout' => 'vertical',
                                'toggle' => 0,
                                'return_format' => 'value',
                            ),
                            array (
                                'key' => 'field_57f886dc7c1e7_' . $type_post,
                                'label' => 'Show',
                                'name' => $type_post . '_header_show',
                                'type' => 'select',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array (
                                    'default' => 'default',
                                    'true' => 'true',
                                    0 => 'false',
                                ),
                                'default_value' => array (
                                    0 => 'default',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                            ),
                            array(
                                'key' => 'field_57fb720f19a655_' . $type_post,
                                'label' => 'Show Title',
                                'name' => $type_post . '_header_show_title',
                                'type' => 'select',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array(
                                    array(
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array(
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array(
                                    'default' => 'default',
                                    'true' => 'true',
                                    0 => 'false',
                                ),
                                'default_value' => array(
                                    0 => 'default',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                            ),
                            array(
                                'key' => 'field_57fb979b8055_' . $type_post,
                                'label' => 'Custom Title',
                                'name' => $type_post . '_header_custom_title',
                                'type' => 'text',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array(
                                    array(
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array(
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array(
                                            'field' => 'field_57fb720f19a655_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '25',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'maxlength' => '',
                            ),
                            array(
                                'key' => 'field_57fb979b80563bd_' . $type_post,
                                'label' => 'Title Padding Bottom',
                                'name' => $type_post . '_header_title_padding_bottom',
                                'type' => 'number',
                                'required' => 0,
                                'conditional_logic' => array(
                                    array(
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array(
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array(
                                            'field' => 'field_57fb720f19a655_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '25',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => 0,
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'min' => 0,
                                'max' => 500,
                                'step' => 1,
                            ),
                            array(
                                'key' => 'field_57fb720f19a6554_' . $type_post,
                                'label' => 'Title Looks Like',
                                'name' => $type_post . '_header_title_looks_like',
                                'type' => 'select',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array(
                                    array(
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array(
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array(
                                            'field' => 'field_57fb720f19a655_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '25',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array(
                                    'default' => 'default',
                                    '' => 'disabled',
                                    'h1' => 'h1',
                                    'h2' => 'h2',
                                    'h3' => 'h3',
                                    'h4' => 'h4',
                                    'h5' => 'h5',
                                    'h6' => 'h6',
                                    'display-1' => 'display-1',
                                    'display-2' => 'display-2',
                                    'display-3' => 'display-3',
                                    'display-4' => 'display-4'
                                ),
                                'default_value' => array(
                                    0 => 'default',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                            ),
                            array(
                                'key' => 'field_57fb720f19a65541_' . $type_post,
                                'label' => 'Title Align',
                                'name' => $type_post . '_page_header_title_align',
                                'type' => 'select',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array(
                                    array(
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array(
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array(
                                            'field' => 'field_57fb720f19a655_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '25',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array(
                                    'center' => 'center',
                                    'left' => 'left',
                                    'right' => 'right',
                                ),
                                'default_value' => array(
                                    0 => 'center',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                            ),
                            array (
                                'key' => 'field_57fb979b80bdd_' . $type_post,
                                'label' => 'Back Title',
                                'name' => $type_post . '_header_back_title',
                                'type' => 'text',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '25',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'maxlength' => '',
                            ),
                            array(
                                'key' => 'field_57fb979b801bddc_' . $type_post,
                                'label' => 'Back Title Opacity',
                                'name' => $type_post . '_header_back_title_opacity',
                                'type' => 'number',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '25',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => 1,
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'min' => 0,
                                'max' => 10,
                                'step' => 1,
                            ),
                            array(
                                'key' => 'field_57fb979b802bddc_' . $type_post,
                                'label' => 'Back Title Padding Bottom',
                                'name' => $type_post . '_header_back_title_padding_bottom',
                                'type' => 'number',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '25',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => 0,
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'min' => 0,
                                'max' => 500,
                                'step' => 1,
                            ),
                            array(
                                'key' => 'field_57fb979b8021bddc_' . $type_post,
                                'label' => 'Back Title Align',
                                'name' => $type_post . '_header_back_title_align',
                                'type' => 'select',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '25',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array(
                                    'center' => 'center',
                                    'left' => 'left',
                                    'right' => 'right',
                                ),
                                'default_value' => array(
                                    0 => 'center',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                            ),
                            array (
                                'key' => 'field_57fb980d80bdf_' . $type_post,
                                'label' => 'Sub Title',
                                'name' => $type_post . '_header_sub_title',
                                'type' => 'text',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '33.3',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'maxlength' => '',
                            ),
                            array(
                                'key' => 'field_57fb980d81bdfc_' . $type_post,
                                'label' => 'Sub Title Padding Bottom',
                                'name' => $type_post . '_header_sub_title_padding_bottom',
                                'type' => 'number',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '33.3',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => 0,
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'min' => 0,
                                'max' => 500,
                                'step' => 1,
                            ),
                            array(
                                'key' => 'field_57fb980d8123bdfc_' . $type_post,
                                'label' => 'Sub Title Align',
                                'name' => $type_post . '_header_sub_title_align',
                                'type' => 'select',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '33.3',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array(
                                    'center' => 'center',
                                    'left' => 'left',
                                    'right' => 'right',
                                ),
                                'default_value' => array(
                                    0 => 'center',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                            ),
                            array (
                                'key' => 'field_57f889b94ed76_' . $type_post,
                                'label' => 'Size',
                                'name' => $type_post . '_header_size',
                                'type' => 'select',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array (
                                    'sm' => 'Small',
                                    'md' => 'Middle',
                                    'lg' => 'Large',
                                    'xl' => 'X-Large',
                                    'full' => 'Full',
                                    'default' => 'default',
                                ),
                                'default_value' => array (
                                    0 => 'default',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                            ),
                            array (
                                'key' => 'field_57f88e563ad91_' . $type_post,
                                'label' => 'Parallax for Background Image',
                                'name' => $type_post . '_header_parallax',
                                'type' => 'select',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array (
                                    'default' => 'default',
                                    'true' => 'true',
                                    0 => 'false',
                                ),
                                'default_value' => array (
                                    0 => 'default',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                            ),
                            array (
                                'key' => 'field_57f890953ad92_' . $type_post,
                                'label' => 'Opacity Parallax Content',
                                'name' => $type_post . '_header_parallax_opacity',
                                'type' => 'select',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array (
                                    'default' => 'default',
                                    'true' => 'true',
                                    0 => 'false',
                                ),
                                'default_value' => array (
                                    0 => 'default',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                            ),
                            array (
                                'key' => 'field_57f8923c3bd5b_' . $type_post,
                                'label' => 'Background Type',
                                'name' => $type_post . '_header_type_image',
                                'type' => 'select',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array (
                                    0 => 'False',
                                    'featured' => 'Featured',
                                    'custom' => 'Custom',
                                    'default' => 'default',
                                ),
                                'default_value' => array (
                                    0 => 'default',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                            ),
                            array (
                                'key' => 'field_57f897593e01a_' . $type_post,
                                'label' => 'Background Image',
                                'name' => $type_post . '_header_background_image',
                                'type' => 'image',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57f8923c3bd5b_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'custom',
                                        ),
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'return_format' => 'url',
                                'preview_size' => 'full',
                                'library' => 'all',
                                'min_width' => '',
                                'min_height' => '',
                                'min_size' => '',
                                'max_width' => '',
                                'max_height' => '',
                                'max_size' => '',
                                'mime_types' => '',
                            ),
                            array (
                                'key' => 'field_58062a42eab8f_' . $type_post,
                                'label' => 'Opacity',
                                'name' => $type_post . '_header_background_image_opacity',
                                'type' => 'number',
                                'instructions' => 'Select opacity for Background Image',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57f8923c3bd5b_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'custom',
                                        ),
                                        array (
                                            'field' => 'field_57f897593e01a_' . $type_post,
                                            'operator' => '!=',
                                            'value' => '',
                                        ),
                                    ),
                                    array (
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57f8923c3bd5b_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'featured',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => 10,
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'min' => 0,
                                'max' => 10,
                                'step' => 1,
                            ),
                            array (
                                'key' => 'field_57fb982380be0_' . $type_post,
                                'label' => 'Content',
                                'name' => $type_post . '_header_content',
                                'type' => 'wysiwyg',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'tabs' => 'all',
                                'toolbar' => 'full',
                                'media_upload' => 1,
                            ),
                            array (
                                'key' => 'field_57fb984f80be1_' . $type_post,
                                'label' => 'Video Link',
                                'name' => $type_post . '_header_video_link',
                                'type' => 'url',
                                'instructions' => 'Supported YouTube and Vimeo links',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '50',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                            ),
                            array(
                                'key' => 'field_57fb984f80be2c_' . $type_post,
                                'label' => 'Icon Video Style',
                                'name' => $type_post . '_header_video_style',
                                'type' => 'select',
                                'instructions' => ' ',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57fb333816f9c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57f886dc7c1e7_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '50',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array(
                                    'default' => 'default',
                                    '' => 'Black',
                                    '2' => 'Black 2',
                                    'light' => 'Light',
                                    '2-light' => 'Light 2',
                                ),
                                'default_value' => array(
                                    0 => 'default',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                            ),
                            array (
                                'key' => 'field_57f88899b567b_' . $type_post,
                                'label' => 'Sidebar',
                                'name' => '',
                                'type' => 'tab',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'placement' => 'left',
                                'endpoint' => 0,
                            ),
                            array (
                                'key' => 'field_57fb431467027_' . $type_post,
                                'label' => 'Custom',
                                'name' => 'sidebar_' . $type_post . '_custom',
                                'type' => 'checkbox',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array (
                                    'true' => 'true',
                                ),
                                'default_value' => array (
                                ),
                                'layout' => 'vertical',
                                'toggle' => 0,
                                'return_format' => 'value',
                            ),
                            array (
                                'key' => 'field_57f888b9b567c_' . $type_post,
                                'label' => 'Show',
                                'name' => 'sidebar_' . $type_post . '_show',
                                'type' => 'select',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57fb431467027_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array (
                                    'default' => 'default',
                                    'true' => 'true',
                                    0 => 'false',
                                ),
                                'default_value' => array (
                                    0 => 'default',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                            ),
                            array (
                                'key' => 'field_57f8a010abe74_' . $type_post,
                                'label' => 'Sidebar',
                                'name' => 'sidebar_' . $type_post . '_list',
                                'type' => 'select',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57f888b9b567c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57fb431467027_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array (
                                    'default' => 'default',
                                    'sidebar-page' => 'Pages Sidebar',
                                    'sidebar-post' => 'Posts Sidebar',
                                    'sidebar-footer-1' => 'First Column Footer',
                                    'sidebar-footer-2' => 'Second Column Footer',
                                    'sidebar-footer-3' => 'Three Column Footer',
                                    'sidebar-footer-4' => 'Four Column Footer',
                                ),
                                'default_value' => array (
                                    0 => 'default',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                            ),
                            array (
                                'key' => 'field_57f8a160abe75_' . $type_post,
                                'label' => 'Side',
                                'name' => 'sidebar_' . $type_post . '_side',
                                'type' => 'select',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57f888b9b567c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57fb431467027_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array (
                                    'default' => 'default',
                                    'right' => 'Right',
                                    'left' => 'Left',
                                    'both' => 'Both',
                                ),
                                'default_value' => array (
                                    0 => 'default',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                            ),
                            array (
                                'key' => 'field_5892eadf3e62a_' . $type_post,
                                'label' => 'Additional Sidebar',
                                'name' => 'sidebar_' . $type_post . '_additional_list',
                                'type' => 'select',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57f888b9b567c_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57fb431467027_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_57f8a160abe75_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'both',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array (
                                    'default' => 'default',
                                    'sidebar-page' => 'Pages Sidebar',
                                    'sidebar-post' => 'Posts Sidebar',
                                    'sidebar-footer-1' => 'First Column Footer',
                                    'sidebar-footer-2' => 'Second Column Footer',
                                    'sidebar-footer-3' => 'Three Column Footer',
                                    'sidebar-footer-4' => 'Four Column Footer',
                                ),
                                'default_value' => array (
                                    0 => 'default',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                                ),
                                array (
                                    'key' => 'field_57f8a1bbabe76_' . $type_post,
                                    'label' => 'Sticky',
                                    'name' => 'sidebar_' . $type_post . '_sticky',
                                    'type' => 'select',
                                    'instructions' => '',
                                    'required' => 0,
                                    'conditional_logic' => array (
                                        array (
                                            array (
                                                'field' => 'field_57f888b9b567c_' . $type_post,
                                                'operator' => '==',
                                                'value' => 'true',
                                            ),
                                            array (
                                                'field' => 'field_57fb431467027_' . $type_post,
                                                'operator' => '==',
                                                'value' => 'true',
                                            ),
                                        ),
                                    ),
                                    'wrapper' => array (
                                        'width' => '',
                                        'class' => '',
                                        'id' => '',
                                    ),
                                    'choices' => array (
                                        'default' => 'default',
                                        'true' => 'true',
                                        0 => 'false',
                                    ),
                                    'default_value' => array (
                                        0 => 'default',
                                    ),
                                    'allow_null' => 0,
                                    'multiple' => 0,
                                    'ui' => 0,
                                    'ajax' => 0,
                                    'return_format' => 'value',
                                    'placeholder' => '',
                                ),
                                array (
                                    'key' => 'field_57fb484903bdf_' . $type_post,
                                    'label' => 'Navigation',
                                    'name' => '',
                                    'type' => 'tab',
                                    'instructions' => '',
                                    'required' => 0,
                                    'conditional_logic' => 0,
                                    'wrapper' => array (
                                        'width' => '',
                                        'class' => '',
                                        'id' => '',
                                    ),
                                    'placement' => 'left',
                                    'endpoint' => 0,
                                ),
                                array (
                                    'key' => 'field_57fb486103be0_' . $type_post,
                                    'label' => 'Custom',
                                    'name' => $type_post . '_custom_navigation',
                                    'type' => 'checkbox',
                                    'instructions' => '',
                                    'required' => 0,
                                    'conditional_logic' => 0,
                                    'wrapper' => array (
                                        'width' => '',
                                        'class' => '',
                                        'id' => '',
                                    ),
                                    'choices' => array (
                                        'true' => 'true',
                                    ),
                                    'default_value' => array (
                                    ),
                                    'layout' => 'vertical',
                                    'toggle' => 0,
                                    'return_format' => 'value',
                                ),
                                array (
                                    'key' => 'field_57fb49fd03be2_' . $type_post,
                                    'label' => 'Show Main Navigation',
                                    'name' => 'main_navigation_show',
                                    'type' => 'select',
                                    'instructions' => '',
                                    'required' => 0,
                                    'conditional_logic' => array (
                                        array (
                                            array (
                                                'field' => 'field_57fb486103be0_' . $type_post,
                                                'operator' => '==',
                                                'value' => 'true',
                                            ),
                                        ),
                                    ),
                                    'wrapper' => array (
                                        'width' => '',
                                        'class' => '',
                                        'id' => '',
                                    ),
                                    'choices' => array (
                                        'default' => 'default',
                                        'true' => 'true',
                                        0 => 'false',
                                    ),
                                    'default_value' => array (
                                        0 => 'default',
                                    ),
                                    'allow_null' => 0,
                                    'multiple' => 0,
                                    'ui' => 0,
                                    'ajax' => 0,
                                    'return_format' => 'value',
                                    'placeholder' => '',
                                ),
                                array (
                                    'key' => 'field_57fb4aae03be6_' . $type_post,
                                    'label' => 'Show Side Navigation',
                                    'name' => 'side_navigation_show',
                                    'type' => 'select',
                                    'instructions' => '',
                                    'required' => 0,
                                    'conditional_logic' => array (
                                        array (
                                            array (
                                                'field' => 'field_57fb486103be0_' . $type_post,
                                                'operator' => '==',
                                                'value' => 'true',
                                            ),
                                        ),
                                    ),
                                    'wrapper' => array (
                                        'width' => '',
                                        'class' => '',
                                        'id' => '',
                                    ),
                                    'choices' => array (
                                        'default' => 'default',
                                        'true' => 'true',
                                        0 => 'false',
                                    ),
                                    'default_value' => array (
                                        0 => 'default',
                                    ),
                                    'allow_null' => 0,
                                    'multiple' => 0,
                                    'ui' => 0,
                                    'ajax' => 0,
                                    'return_format' => 'value',
                                    'placeholder' => '',
                                ),
                                array (
                                    'key' => 'field_57fb4b5103be8_' . $type_post,
                                    'label' => 'Show Mobile Navigation',
                                    'name' => 'main_navigation_mobile_show',
                                    'type' => 'select',
                                    'instructions' => '',
                                    'required' => 0,
                                    'conditional_logic' => array (
                                        array (
                                            array (
                                                'field' => 'field_57fb486103be0_' . $type_post,
                                                'operator' => '==',
                                                'value' => 'true',
                                            ),
                                        ),
                                    ),
                                    'wrapper' => array (
                                        'width' => '',
                                        'class' => '',
                                        'id' => '',
                                    ),
                                    'choices' => array (
                                        'default' => 'default',
                                        'true' => 'true',
                                        0 => 'false',
                                    ),
                                    'default_value' => array (
                                        0 => 'default',
                                    ),
                                    'allow_null' => 0,
                                    'multiple' => 0,
                                    'ui' => 0,
                                    'ajax' => 0,
                                    'return_format' => 'value',
                                    'placeholder' => '',
                                ),
                                array (
                                    'key' => 'field_57fb50ed97acb_' . $type_post,
                                    'label' => 'Footer',
                                    'name' => '',
                                    'type' => 'tab',
                                    'instructions' => '',
                                    'required' => 0,
                                    'conditional_logic' => 0,
                                    'wrapper' => array (
                                        'width' => '',
                                        'class' => '',
                                        'id' => '',
                                    ),
                                    'placement' => 'left',
                                    'endpoint' => 0,
                                ),
                                array (
                                    'key' => 'field_57fb510297acc_' . $type_post,
                                    'label' => 'Custom',
                                    'name' => $type_post . '_custom_footer',
                                    'type' => 'checkbox',
                                    'instructions' => '',
                                    'required' => 0,
                                    'conditional_logic' => 0,
                                    'wrapper' => array (
                                        'width' => '',
                                        'class' => '',
                                        'id' => '',
                                    ),
                                    'choices' => array (
                                        'true' => 'true',
                                    ),
                                    'default_value' => array (
                                    ),
                                    'layout' => 'vertical',
                                    'toggle' => 0,
                                    'return_format' => 'value',
                                ),
                                array (
                                    'key' => 'field_57fb512c97acd_' . $type_post,
                                    'label' => 'Show',
                                    'name' => 'footer_show',
                                    'type' => 'select',
                                    'instructions' => '',
                                    'required' => 0,
                                    'conditional_logic' => array (
                                        array (
                                            array (
                                                'field' => 'field_57fb510297acc_' . $type_post,
                                                'operator' => '==',
                                                'value' => 'true',
                                            ),
                                        ),
                                    ),
                                    'wrapper' => array (
                                        'width' => '',
                                        'class' => '',
                                        'id' => '',
                                    ),
                                    'choices' => array (
                                        'default' => 'default',
                                        'true' => 'true',
                                        0 => 'false',
                                    ),
                                    'default_value' => array (
                                        0 => 'default',
                                    ),
                                    'allow_null' => 0,
                                    'multiple' => 0,
                                    'ui' => 0,
                                    'ajax' => 0,
                                    'return_format' => 'value',
                                    'placeholder' => '',
                                    ),
                            array (
                                'key' => 'field_57fb71db19a6d_' . $type_post,
                                'label' => 'Content',
                                'name' => '',
                                'type' => 'tab',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'placement' => 'left',
                                'endpoint' => 0,
                            ),
                            array (
                                'key' => 'field_57fb71ee19a6e_' . $type_post,
                                'label' => 'Custom',
                                'name' => 'content_' . $type_post . '_custom',
                                'type' => 'checkbox',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array (
                                    'true' => 'true',
                                ),
                                'default_value' => array (
                                ),
                                'layout' => 'vertical',
                                'toggle' => 0,
                                'return_format' => 'value',
                            ),
                            array (
                                'key' => 'field_587f7fb2ada95_' . $type_post,
                                'label' => 'Boxed',
                                'name' => $type_post . '_inner_boxed',
                                'type' => 'select',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57fb71ee19a6e_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array (
                                    'default' => 'default',
                                    'true' => 'true',
                                    0 => 'false',
                                ),
                                'default_value' => array (
                                    0 => 'default',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                            ),
                            array (
                                'key' => 'field_587cd08f68164_' . $type_post,
                                'label' => 'Show Title',
                                'name' => $type_post . '_detail_show_title',
                                'type' => 'select',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57fb71ee19a6e_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array (
                                    'default' => 'default',
                                    'true' => 'true',
                                    0 => 'false',
                                ),
                                'default_value' => array (
                                    0 => 'default',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                            ),
                            array (
                                'key' => 'field_5892e5b1f236b_' . $type_post,
                                'label' => 'Custom Title',
                                'name' => $type_post . '_content_custom_title',
                                'type' => 'text',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57fb71ee19a6e_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                        array (
                                            'field' => 'field_587cd08f68164_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'maxlength' => '',
                            ),
                            array (
                                'key' => 'field_587d257b38e68_' . $type_post,
                                'label' => 'Top and Bottom paddings',
                                'name' => $type_post . '_paddings',
                                'type' => 'select',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array (
                                    array (
                                        array (
                                            'field' => 'field_57fb71ee19a6e_' . $type_post,
                                            'operator' => '==',
                                            'value' => 'true',
                                        ),
                                    ),
                                ),
                                'wrapper' => array (
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array (
                                    'default' => 'default',
                                    'true' => 'true',
                                    0 => 'false',
                                ),
                                'default_value' => array (
                                    0 => 'default',
                                ),
                                'allow_null' => 0,
                                'multiple' => 0,
                                'ui' => 0,
                                'ajax' => 0,
                                'return_format' => 'value',
                                'placeholder' => '',
                            ),
                            ),
                            'location' => array (
                                array (
                                    array (
                                        'param' => 'post_type',
                                        'operator' => '==',
                                        'value' => $type_post,
                                    ),
                                ),
                            ),
                            'menu_order' => 0,
                            'position' => 'normal',
                            'style' => 'default',
                            'label_placement' => 'top',
                            'instruction_placement' => 'label',
                            'hide_on_screen' => '',
                            'active' => 1,
                            'description' => '',
                        );
                    if($type_post == 'event') {
                        $acf_options['fields'][] = array(
                            'key' => 'field_583d40e04fb981_'. $type_post,
                            'label' => 'Meta',
                            'name' => '',
                            'type' => 'tab',
                            'instructions' => '',
                            'required' => 0,
                            'conditional_logic' => 0,
                            'wrapper' => array(
                                'width' => '',
                                'class' => '',
                                'id' => '',
                            ),
                            'placement' => 'left',
                            'endpoint' => 0,
                        );
                        $acf_options['fields'][] = array (
                            'key' => 'field_custom_meta_' . $type_post,
                            'label' => 'Custom',
                            'name' => $type_post . '_meta_custom',
                            'type' => 'checkbox',
                            'instructions' => '',
                            'required' => 0,
                            'conditional_logic' => 0,
                            'wrapper' => array (
                                'width' => '',
                                'class' => '',
                                'id' => '',
                            ),
                            'choices' => array (
                                'true' => 'true',
                            ),
                            'default_value' => array (
                            ),
                            'layout' => 'vertical',
                            'toggle' => 0,
                            'return_format' => 'value',
                            'allow_custom' => 0,
                            'save_custom' => 0,
                        );
                        $acf_options['fields'][] = array(
                            'key' => 'field_583d40e04fb98_' . $type_post,
                            'label' => 'Show Meta',
                            'name' => $type_post . '_show_meta',
                            'type' => 'select',
                            'instructions' => '',
                            'required' => 0,
                            'conditional_logic' => array(
                                array(
                                    array(
                                        'field' => 'field_custom_meta_' . $type_post,
                                        'operator' => '==',
                                        'value' => 'true',
                                    ),
                                ),
                            ),
                            'wrapper' => array(
                                'width' => '',
                                'class' => '',
                                'id' => '',
                            ),
                            'choices' => array(
                                'default' => 'default',
                                0 => 'hide',
                                'true' => 'show',
                            ),
                            'default_value' => array(
                                0 => 'default',
                            ),
                            'allow_null' => 0,
                            'multiple' => 0,
                            'ui' => 0,
                            'ajax' => 0,
                            'return_format' => 'value',
                            'placeholder' => '',
                        );
                        $acf_options['fields'][] = array(
                            'key' => 'field_583d416b4fb99_' . $type_post,
                            'label' => 'Position Meta',
                            'name' => $type_post . '_position_meta',
                            'type' => 'select',
                            'instructions' => '',
                            'required' => 0,
                            'conditional_logic' => array(
                                array(
                                    array(
                                        'field' => 'field_custom_meta_' . $type_post,
                                        'operator' => '==',
                                        'value' => 'true',
                                    ),
                                    array(
                                        'field' => 'field_583d40e04fb98_' . $type_post,
                                        'operator' => '==',
                                        'value' => 'true',
                                    ),
                                ),
                            ),
                            'wrapper' => array(
                                'width' => '',
                                'class' => '',
                                'id' => '',
                            ),
                            'choices' => array(
                                'default' => 'default',
                                'header' => 'header',
                                'before content' => 'before content',
                                'after content' => 'after content',
                            ),
                            'default_value' => array(
                                0 => 'default',
                            ),
                            'allow_null' => 0,
                            'multiple' => 0,
                            'ui' => 0,
                            'ajax' => 0,
                            'return_format' => 'value',
                            'placeholder' => '',
                        );
                    }
                    acf_add_local_field_group($acf_options);
                }
            }
        }
    endif;
endif;