<?php
/**
 * The template for displaying all custom(playlist) posts list.
 *
 * @link https://codex.wordpress.org/Post_Types
 *
 * @package musart
 */
get_header();
get_template_part('/template-parts/header/custom');
$post_type = get_post_type();
$acf_header = musart_get_theme_mod($post_type . '_header_custom', true);
$acf_content = musart_get_theme_mod('content_' . $post_type . '_custom', true);

$acf_sidebar = musart_get_theme_mod('sidebar_' . $post_type . '_custom', true);
$custom_sidebar = musart_get_theme_mod('sidebar_' . $post_type . '_list', $acf_sidebar);
$show_custom_sidebar = musart_get_theme_mod('sidebar_' . $post_type . '_show', $acf_sidebar);
$custom_sidebar_side = musart_get_theme_mod('sidebar_' . $post_type . '_side', $acf_sidebar);
if ($show_custom_sidebar && $custom_sidebar && is_active_sidebar($custom_sidebar)) {
    $col_class = 'col-lg-8';
    if (isset($custom_sidebar_side)) {
        if ($custom_sidebar_side === 'left') {
            $col_class .= ' push-lg-4';
        }elseif($custom_sidebar_side === 'both'){
            $col_class = 'col-lg-6 push-lg-3';
        }
    }
} else {
    $col_class = 'col-12';
}
?>
    <!-- START: Latest Albums -->
    <div class="nk-box bg-custom-playlist-archive-color text-custom-playlist-archive-color">
        <div
            class="<?php echo musart_sanitize_class(musart_get_theme_mod('playlist_inner_boxed', $acf_content) ? 'container' : 'container-fluid'); ?>">
            <div class="row">
                <div class="<?php echo musart_sanitize_class($col_class); ?>">
                    <div class="nk-gap-5"></div>
            <?php if (musart_get_theme_mod('playlist_show_title', $acf_content)): ?>
                <h2 class="nk-title h1 text-center"><?php echo get_the_archive_title();?></h2>
                <div class="nk-gap-2"></div>
            <?php endif; ?>
            <?php
            $pagination = musart_get_theme_mod('playlist_pagination');
            $class = '';
            if (isset($pagination) && $pagination === 'infinite') {
                $class .= 'nk-infinite-scroll-container';
            }
            if (isset($pagination) && $pagination === 'load_more') {
                $class .= 'nk-load-more-container';
            }
            $class .= ' row vertical-gap';
            ?>
            <div class="<?php echo musart_sanitize_class($class); ?>">
                <?php
                if (have_posts()) :
                    /* Start the Loop */
                    $playlist_no_image = musart_get_theme_mod('playlist_no_image');
                    $resolution = 'musart_800x600';
                    while (have_posts()) : the_post();
                        $attachment = (musart_get_attachment(get_post_thumbnail_id(get_the_ID()), $resolution));
                        ?>
                        <div id="post-<?php the_ID(); ?>" class="col-md-4 news-one">
                            <div class="nk-image-box-4">
                                <a href="<?php echo esc_url(get_permalink()) ?>" class="nk-image-box-link"></a>
                                <?php
                                if (isset($attachment) && !empty($attachment) && is_array($attachment)) { ?>
                                    <img src="<?php echo esc_url($attachment['src']); ?>" alt="<?php echo esc_attr($attachment['alt']); ?>">
                                   <?php
                                } else { ?>
                                   <img src="<?php echo esc_url($playlist_no_image); ?>" alt="<?php echo esc_attr__( 'No Image', 'musart' ); ?>">
                                    <?php
                                }
                                ?>
                                <div class="nk-image-box-overlay nk-image-box-center">
                                    <div>
                                        <h3 class="nk-image-box-title mb-20"><?php echo get_the_title(); ?></h3>
                                        <div
                                            class="nk-btn nk-btn-xs nk-btn-color-white nk-btn-outline"><?php esc_html_e('See More', 'musart'); ?></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php endwhile;
                else :
                    get_template_part('template-parts/content', 'none');
                endif; ?>
            </div>
            <div class="nk-gap-1"></div>
            <?php if ($pagination) {
                musart_posts_navigation();
                if ($pagination == 'infinite' || $pagination == 'load_more') {
                    musart_infinite_scroll_init();
                }
            } ?>
            <div class="nk-gap-5"></div>
        </div>
        <?php get_sidebar(); ?>
    </div>
        </div>
    </div>
    <!-- END: Latest Albums -->
<?php get_footer();
