<!-- START: Footer -->
<?php
$post_type = get_post_type();
if (!$post_type) {
    $post_type = 'page';
}
$acf_footer = musart_get_theme_mod($post_type . '_custom_footer', true);

$footer_text = musart_get_theme_mod('footer_text');
$side_buttons_link_button = musart_get_theme_mod('side_buttons_link_button');
?>
<?php if (musart_get_theme_mod('footer_show', $acf_footer)): ?>
    <footer
        class="nk-footer">
        <?php if (isset($footer_text) && !empty($footer_text)): ?>
            <div class="nk-copyright">
                <div class="container text-center">
                    <?php echo wp_kses_post($footer_text); ?>
                </div>
            </div>
        <?php endif; ?>
    </footer>
<?php endif; ?>
<!-- END: Footer -->

</div>
<?php
//output post type pagination
get_template_part('/template-parts/pagination', 'fixed'); ?>
<!-- START: Side Buttons -->
<?php if (musart_get_theme_mod('side_buttons_show_link_button') || musart_get_theme_mod('side_buttons_show_scroll_top')): ?>
    <?php
    $side_buttons_additional_classes = 'nk-side-buttons';
    if (musart_get_theme_mod('side_buttons_visible')):
        $side_buttons_additional_classes .= ' nk-side-buttons-visible';
    endif;
    $side_buttons_light = musart_get_theme_mod('side_buttons_light') ? 'bg-white text-dark-1' : '';
    ?>
    <div class="<?php echo musart_sanitize_class($side_buttons_additional_classes); ?>">
        <ul>
            <?php if (musart_get_theme_mod('side_buttons_show_link_button')): ?>
                <li>
                    <a href="<?php echo esc_url($side_buttons_link_button); ?>"
                       target="_blank" class="<?php echo musart_sanitize_class($side_buttons_light);?>"><span class="ion-bag"></span></a>
                </li>
            <?php endif; ?>
            <?php if (musart_get_theme_mod('side_buttons_show_scroll_top')): ?>
                <?php $side_buttons_light .= ' nk-scroll-top';?>
                <li><span class="<?php echo musart_sanitize_class($side_buttons_light);?>"><span class="ion-ios-arrow-up"></span></span></li>
            <?php endif; ?>
        </ul>
    </div>
<?php endif; ?>
<!-- END: Side Buttons -->

<?php if ( musart_get_theme_mod( 'main_navigation_show_search') ) :
    $search_class = 'nk-search';
    ?>
    <!-- START: Search -->
    <div class="<?php echo musart_sanitize_class( $search_class );?>">
        <div class="container">
            <?php
            /*
             * There is no way to use get_search_form function.
             * Wordpress does not support 2 search form templates, but due to the specificity of presence on all pages, the substitution of an action is not possible
             * */
            get_template_part('nav', 'searchform');
            ?>
        </div>
    </div>
    <!-- END: Search -->
<?php endif; ?>
<?php wp_footer(); ?>
</body>
</html>
