<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="//gmpg.org/xfn/11">
    <?php wp_head(); ?>

</head>
<?php
$post_type = get_post_type();
if (!$post_type) {
    $post_type = 'page';
}
if($post_type == 'product'){
    $post_type = 'woocommerce';
}
$acf_navigation = musart_get_theme_mod($post_type . '_custom_navigation', true);

$main_navigation_logo_area = musart_get_theme_mod('main_navigation_logo_area');
$logo_position = musart_get_theme_mod('main_navigation_logo_position');
$main_navigation_logo = musart_get_theme_mod('main_navigation_logo');
$left_navigation_panel_row_side = musart_get_theme_mod('left_navigation_panel_row_side');
$left_navigation_panel_text = musart_get_theme_mod('left_navigation_panel_text');
$side_navigation_logo = musart_get_theme_mod('side_navigation_logo');
$side_navigation_text = musart_get_theme_mod('side_navigation_text');
$main_navigation_logo_mobile = musart_get_theme_mod('main_navigation_logo_mobile');
$side_navigation_social = musart_get_theme_mod('side_navigation_social');
$main_navigation_custom_content = musart_get_theme_mod('main_navigation_custom_content');
$main_navigation_custom_content_position = musart_get_theme_mod('main_navigation_custom_content_position');
$menu_locations = get_nav_menu_locations();
$main_menu = '';
if ( isset( $menu_locations ) && ! empty( $menu_locations ) && is_array( $menu_locations ) && isset( $menu_locations['primary'] ) && ! empty( $menu_locations['primary'] ) ) {
    $main_menu = wp_get_nav_menu_object( $menu_locations['primary'] );
}
?>
<body <?php body_class(); ?>>

<?php if(musart_get_theme_mod('show_border')):?>
<!-- START: Page Border -->
<div class="nk-page-border<?php echo musart_sanitize_class(musart_get_theme_mod('size_border') ? ' nk-page-border-'.musart_get_theme_mod('size_border') : '');?>">
        <div class="nk-page-border-t"></div>
        <div class="nk-page-border-r"></div>
        <div class="nk-page-border-b"></div>
        <div class="nk-page-border-l"></div>
</div>
<!-- END: Page Border -->
<?php endif;?>

<?php if(musart_get_theme_mod('main_navigation_show_share_button') && function_exists('sociality')):?>
<!-- START: Share Place -->
<div class="nk-share-place<?php echo musart_sanitize_class(musart_get_theme_mod('share_light') ? ' nk-share-place-light' : '');?>">
    <div>
        <div class="container">
            <?php do_action('sociality-sharing'); ?>
        </div>
    </div>
</div>
<!-- END: Share Place -->
<?php endif;?>
<header
    class="nk-header<?php if (musart_get_theme_mod('main_navigation_opaque')) echo musart_sanitize_class(' nk-header-opaque'); ?>">
    <?php if (musart_get_theme_mod('main_navigation_show', $acf_navigation)): ?>
    <?php if($main_navigation_logo_area == 'top'):?>
    <?php
        $navbarAdditionalClasses = 'nk-logo-top';
        if (musart_get_theme_mod('main_navigation_light')) {
            $navbarAdditionalClasses .= " nk-logo-top-light";
        }
     ?>
    <div class="<?php echo musart_sanitize_class($navbarAdditionalClasses);?>">
    <?php echo musart_get_main_navigation_logo();?>
    </div>
    <?php endif; ?>
    <!-- START: Navbar -->
        <?php
        //defend additional classes
        $navbarAdditionalClasses = "";
        if (musart_get_theme_mod('main_navigation_light')) {
            $navbarAdditionalClasses .= " nk-navbar-light";
        }
        if (musart_get_theme_mod('main_navigation_autohide')) {
            $navbarAdditionalClasses .= " nk-navbar-autohide";
        }
        if (musart_get_theme_mod('main_navigation_transparent')) {
            $navbarAdditionalClasses .= " nk-navbar-transparent";
        }
        if (musart_get_theme_mod('main_navigation_sticky')) {
            $navbarAdditionalClasses .= " nk-navbar-sticky";
        }
        ?>
        <nav
            class="nk-navbar nk-navbar-top<?php if ($navbarAdditionalClasses) echo musart_sanitize_class($navbarAdditionalClasses); ?>">
            <div class="container">
                <div class="nk-nav-table">
                    <?php if ($main_navigation_logo && $logo_position==false && $main_navigation_logo_area=='navigation'): ?>
                        <?php echo musart_get_main_navigation_logo();?>
                    <?php endif; ?>
                    <?php
                    $main_nav_align = musart_get_theme_mod('main_menu_align') ? ' nk-nav-'.musart_get_theme_mod('main_menu_align') : '';
                    ?>
                    <?php if(isset($main_navigation_custom_content) && !empty($main_navigation_custom_content) && $main_navigation_custom_content_position == 'before_menu'):?>
                        <?php echo wp_kses_post(do_shortcode($main_navigation_custom_content));?>
                    <?php endif;?>
                    <?php wp_nav_menu(array(
                        'theme_location' => 'primary',
                        'container' => '',
                        'menu_class' => musart_sanitize_class('nk-nav hidden-md-down'.$main_nav_align),
                        'walker' => new nk_walker($logo_position),
                        'items_wrap' => '<ul id="%1$s" class="%2$s" data-nav-mobile="#nk-nav-mobile">%3$s</ul>'
                    )); ?>
                    <?php if(isset($main_navigation_custom_content) && !empty($main_navigation_custom_content) && $main_navigation_custom_content_position == 'after_menu'):?>
                        <?php echo wp_kses_post(do_shortcode($main_navigation_custom_content));?>
                    <?php endif;?>
                    <ul class="nk-nav nk-nav-right nk-nav-icons">
                        <?php if(isset($main_navigation_custom_content) && !empty($main_navigation_custom_content) && $main_navigation_custom_content_position == 'before_icons'):?>
                            <li><div><?php echo wp_kses_post(do_shortcode($main_navigation_custom_content));?></div></li>
                        <?php endif;?>
                        <?php if ( musart_get_theme_mod( 'main_navigation_mobile_show', $acf_navigation ) && is_object( $main_menu ) && $main_menu->count > 0 ): ?>
                            <li class="single-icon hidden-lg-up">
                                <a href="#" class="no-link-effect" data-nav-toggle="#nk-nav-mobile">
                                <span class="nk-icon-burger">
                                    <span class="nk-t-1"></span>
                                    <span class="nk-t-2"></span>
                                    <span class="nk-t-3"></span>
                                </span>
                                </a>
                            </li>
                        <?php endif; ?>
                        <?php if(musart_get_theme_mod('main_navigation_show_share_button') && function_exists('sociality')):?>
                        <li class="single-icon">
                            <a href="#" class="nk-share-toggle no-link-effect">
                                <span class="ion-android-share-alt"></span>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if (musart_get_theme_mod('main_navigation_show_search')): ?>
                            <li class="single-icon">
                                <a href="#" class="nk-search-toggle no-link-effect">
                                    <span class="nk-icon-search"></span>
                                </a>
                            </li>
                        <?php endif; ?>
                        <?php if (musart_get_theme_mod('side_navigation_show', $acf_navigation)): ?>
                            <li class="single-icon">
                                <a href="#" class="no-link-effect" data-nav-toggle="#nk-side">
                            <span class="nk-icon-burger">
                                <span class="nk-t-1"></span>
                                <span class="nk-t-2"></span>
                                <span class="nk-t-3"></span>
                            </span>
                                </a>
                            </li>
                        <?php endif; ?>
                        <?php if(isset($main_navigation_custom_content) && !empty($main_navigation_custom_content) && $main_navigation_custom_content_position == 'after_icons'):?>
                            <li><div><?php echo wp_kses_post(do_shortcode($main_navigation_custom_content));?></div></li>
                        <?php endif;?>
                    </ul>
                </div>
            </div>
        </nav>
        <!-- END: Navbar -->
    <?php endif; ?>

</header>


<!-- START: Right Navbar-->
<?php if (musart_get_theme_mod('side_navigation_show', $acf_navigation)): ?>
    <?php
//defend additional classes
    $navbarAdditionalClasses = "";
    if (musart_get_theme_mod('side_navigation_light')) {
        $navbarAdditionalClasses .= " nk-navbar-light";
    }
    if (musart_get_theme_mod('side_navigation_overlay_content')) {
        $navbarAdditionalClasses .= " nk-navbar-overlay-content";
    }
    if (musart_get_theme_mod('side_navigation_lg')) {
        $navbarAdditionalClasses .= " nk-navbar-lg";
    }
    $navbarAdditionalClasses .= " nk-navbar-right-side";
    if (musart_get_theme_mod('side_navigation_align')) {
        $navbarAdditionalClasses .= " nk-navbar-align-" . musart_get_theme_mod('side_navigation_align');
    }
    ?>
    <nav
        class="nk-navbar nk-navbar-side<?php if ($navbarAdditionalClasses) echo musart_sanitize_class($navbarAdditionalClasses); ?>"
        id="nk-side">
        <?php if (musart_get_theme_mod('side_navigation_background_image')): ?>
            <div class="nk-navbar-bg nk-navbar-align-center">
                <div class="bg-image"
                     style="background-image: url('<?php echo musart_get_theme_mod('side_navigation_background_image'); ?>')"></div>
            </div>
        <?php endif; ?>
        <div class="nano">
            <div class="nano-content">
                <div class="nk-nav-table">
                    <?php
                    $navbarAdditionalClasses = 'nk-nav-row';
                    if (musart_get_theme_mod('side_navigation_vertical_align')) {
                        $navbarAdditionalClasses .= " nk-nav-row-" . musart_get_theme_mod('side_navigation_vertical_align');
                    }
                    ?>
                    <?php if ($side_navigation_logo): ?>
                        <?php $attachment = musart_get_attachment($side_navigation_logo); ?>
                        <div class="<?php if ($navbarAdditionalClasses) echo musart_sanitize_class($navbarAdditionalClasses); ?>">
                            <a href="<?php echo esc_url(home_url('/')); ?>" class="nk-nav-logo">
                                <img
                                    src="<?php echo esc_url($attachment['src']); ?>"
                                    alt="<?php if ($attachment['alt']) echo esc_attr($attachment['alt']); else get_bloginfo('name'); ?>"
                                    width="<?php echo esc_attr(musart_get_theme_mod('side_navigation_logo_width')); ?>">
                            </a>
                        </div>
                    <?php endif; ?>
                    <div class="nk-nav-row-full <?php if ($navbarAdditionalClasses) echo musart_sanitize_class($navbarAdditionalClasses); ?>">
                        <?php wp_nav_menu(array(
                            'theme_location' => 'side_navigation_menu',
                            'container' => '',
                            'menu_class' => 'nk-nav',
                            'walker' => new nk_walker(),
                        )); ?>
                    </div>
                        <div class="<?php if ($navbarAdditionalClasses) echo musart_sanitize_class($navbarAdditionalClasses); ?>">
                            <div class="nk-nav-social nk-navbar-align-center">
                                <?php if(isset($side_navigation_social) && !empty($side_navigation_social) && is_array($side_navigation_social)):?>
                                <ul>
                                    <?php foreach ($side_navigation_social as $social_item): ?>
                                    <li><a href="<?php echo esc_url($social_item['link_url']); ?>" class="no-link-effect" target="<?php echo esc_attr($social_item['target']); ?>"><i class="<?php echo musart_sanitize_class($social_item['icon']); ?>"></i></a></li>
                                    <?php endforeach; ?>
                                </ul>
                                <?php endif; ?>
                                <?php if ($side_navigation_text): ?>
                                <footer>
                                    <?php echo wp_kses_post($side_navigation_text); ?>
                                </footer>
                                <?php endif; ?>
                            </div>
                        </div>
                </div>
            </div>
        </div>
    </nav>
<?php endif; ?>
<!-- END: Right Navbar -->

<!-- START: Navbar Mobile -->
<?php
//defend additional classes
$navbarAdditionalClasses = "";
if (musart_get_theme_mod('mobile_navbar_light')) {
    $navbarAdditionalClasses .= " nk-navbar-light";
}
if (musart_get_theme_mod('mobile_navigation_overlay_content')) {
    $navbarAdditionalClasses .= " nk-navbar-overlay-content";
}
if (musart_get_theme_mod('mobile_navigation_lg')) {
    $navbarAdditionalClasses .= " nk-navbar-lg";
}
if (musart_get_theme_mod('mobile_navigation_align')) {
    $navbarAdditionalClasses .= " nk-navbar-align-" . musart_get_theme_mod('mobile_navigation_align');
}
$navbarAdditionalClasses .= " nk-navbar-left-side";


?>
<?php if ( musart_get_theme_mod( 'main_navigation_mobile_show', $acf_navigation ) && is_object( $main_menu ) && $main_menu->count > 0 ): ?>
    <div id="nk-nav-mobile"
         class="nk-navbar nk-navbar-side hidden-lg-up<?php if ($navbarAdditionalClasses) echo musart_sanitize_class($navbarAdditionalClasses); ?>">
        <div class="nano">
            <div class="nano-content">
                <?php
                $navbarAdditionalClasses = '';
                if (musart_get_theme_mod('mobile_navigation_vertical_align')) {
                    $navbarAdditionalClasses .= " nk-nav-row-" . musart_get_theme_mod('mobile_navigation_vertical_align');
                }
                ?>
                <div class="nk-nav-table">
                    <div class="nk-nav-row">
                    <?php if ($main_navigation_logo_mobile): ?>
                        <?php $attachment = musart_get_attachment($main_navigation_logo_mobile); ?>
                        <a href="<?php echo esc_url(home_url('/')); ?>" class="nk-nav-logo">
                            <img
                                src="<?php echo esc_url($attachment['src']); ?>"
                                alt="<?php if ($attachment['alt']) echo esc_attr($attachment['alt']); else get_bloginfo('name'); ?>"
                                width="<?php echo esc_attr(musart_get_theme_mod('main_navigation_logo_mobile_width')); ?>">
                        </a>
                    <?php endif; ?>
                    </div>
                    <div class="nk-nav-row nk-nav-row-full<?php echo musart_sanitize_class($navbarAdditionalClasses);?>">
                        <div class="nk-navbar-mobile-content">
                            <ul class="nk-nav">
                                <!-- Here will be inserted menu from [data-mobile-menu="#nk-nav-mobile"] -->
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>
<!-- END: Navbar Mobile -->


<div class="nk-main">
