<?php
/**
 * Custom functions that act independently of the theme templates.
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package musart
 */

/**
 * Sanitizes a html classname to ensure it only contains valid characters.
 * */
if (!function_exists('musart_sanitize_class')) :
    function musart_sanitize_class($classes)
    {
        if (!is_array($classes)) {
            $classes = explode(' ', $classes);
        }

        foreach ($classes as $k => $v) {
            $classes[$k] = sanitize_html_class($v);
        }

        return join(' ', $classes);

        return $classes;
    }
endif;

if (!function_exists('musart_pvc_hook')) :
    function musart_pvc_hook($arg)
    {
        if (get_post_type() == 'post') {
            $arg = "";
        }

        return $arg;
    }
endif;
add_filter('pvc_shortcode_filter_hook', 'musart_pvc_hook');
/**
 * Get timezones list
 * from: http://hilios.github.io/jQuery.countdown/examples/timezone-aware.html
 */
if (!function_exists('musart_get_tz_list')) {
    function musart_get_tz_list($opts_format = false)
    {
        $tz = array(
            'auto', 'Africa/Abidjan', 'Africa/Accra', 'Africa/Addis_Ababa', 'Africa/Algiers', 'Africa/Asmara', 'Africa/Asmera', 'Africa/Bamako', 'Africa/Bangui', 'Africa/Banjul', 'Africa/Bissau', 'Africa/Blantyre', 'Africa/Brazzaville', 'Africa/Bujumbura', 'Africa/Cairo', 'Africa/Casablanca', 'Africa/Ceuta', 'Africa/Conakry', 'Africa/Dakar', 'Africa/Dar_es_Salaam', 'Africa/Djibouti', 'Africa/Douala', 'Africa/El_Aaiun', 'Africa/Freetown', 'Africa/Gaborone', 'Africa/Harare', 'Africa/Johannesburg', 'Africa/Juba', 'Africa/Kampala', 'Africa/Khartoum', 'Africa/Kigali', 'Africa/Kinshasa', 'Africa/Lagos', 'Africa/Libreville', 'Africa/Lome', 'Africa/Luanda', 'Africa/Lubumbashi', 'Africa/Lusaka', 'Africa/Malabo', 'Africa/Maputo', 'Africa/Maseru', 'Africa/Mbabane', 'Africa/Mogadishu', 'Africa/Monrovia', 'Africa/Nairobi', 'Africa/Ndjamena', 'Africa/Niamey', 'Africa/Nouakchott', 'Africa/Ouagadougou', 'Africa/Porto-Novo', 'Africa/Sao_Tome', 'Africa/Timbuktu', 'Africa/Tripoli', 'Africa/Tunis', 'Africa/Windhoek', 'America/Adak', 'America/Anchorage', 'America/Anguilla', 'America/Antigua', 'America/Araguaina', 'America/Argentina/Buenos_Aires', 'America/Argentina/Catamarca', 'America/Argentina/ComodRivadavia', 'America/Argentina/Cordoba', 'America/Argentina/Jujuy', 'America/Argentina/La_Rioja', 'America/Argentina/Mendoza', 'America/Argentina/Rio_Gallegos', 'America/Argentina/Salta', 'America/Argentina/San_Juan', 'America/Argentina/San_Luis', 'America/Argentina/Tucuman', 'America/Argentina/Ushuaia', 'America/Aruba', 'America/Asuncion', 'America/Atikokan', 'America/Atka', 'America/Bahia', 'America/Bahia_Banderas', 'America/Barbados', 'America/Belem', 'America/Belize', 'America/Blanc-Sablon', 'America/Boa_Vista', 'America/Bogota', 'America/Boise', 'America/Buenos_Aires', 'America/Cambridge_Bay', 'America/Campo_Grande', 'America/Cancun', 'America/Caracas', 'America/Catamarca', 'America/Cayenne', 'America/Cayman', 'America/Chicago', 'America/Chihuahua', 'America/Coral_Harbour', 'America/Cordoba', 'America/Costa_Rica', 'America/Creston', 'America/Cuiaba', 'America/Curacao', 'America/Danmarkshavn', 'America/Dawson', 'America/Dawson_Creek', 'America/Denver', 'America/Detroit', 'America/Dominica', 'America/Edmonton', 'America/Eirunepe', 'America/El_Salvador', 'America/Ensenada', 'America/Fort_Wayne', 'America/Fortaleza', 'America/Glace_Bay', 'America/Godthab', 'America/Goose_Bay', 'America/Grand_Turk', 'America/Grenada', 'America/Guadeloupe', 'America/Guatemala', 'America/Guayaquil', 'America/Guyana', 'America/Halifax', 'America/Havana', 'America/Hermosillo', 'America/Indiana/Indianapolis', 'America/Indiana/Knox', 'America/Indiana/Marengo', 'America/Indiana/Petersburg', 'America/Indiana/Tell_City', 'America/Indiana/Vevay', 'America/Indiana/Vincennes', 'America/Indiana/Winamac', 'America/Indianapolis', 'America/Inuvik', 'America/Iqaluit', 'America/Jamaica', 'America/Jujuy', 'America/Juneau', 'America/Kentucky/Louisville', 'America/Kentucky/Monticello', 'America/Knox_IN', 'America/Kralendijk', 'America/La_Paz', 'America/Lima', 'America/Los_Angeles', 'America/Louisville', 'America/Lower_Princes', 'America/Maceio', 'America/Managua', 'America/Manaus', 'America/Marigot', 'America/Martinique', 'America/Matamoros', 'America/Mazatlan', 'America/Mendoza', 'America/Menominee', 'America/Merida', 'America/Metlakatla', 'America/Mexico_City', 'America/Miquelon', 'America/Moncton', 'America/Monterrey', 'America/Montevideo', 'America/Montreal', 'America/Montserrat', 'America/Nassau', 'America/New_York', 'America/Nipigon', 'America/Nome', 'America/Noronha', 'America/North_Dakota/Beulah', 'America/North_Dakota/Center', 'America/North_Dakota/New_Salem', 'America/Ojinaga', 'America/Panama', 'America/Pangnirtung', 'America/Paramaribo', 'America/Phoenix', 'America/Port-au-Prince', 'America/Port_of_Spain', 'America/Porto_Acre', 'America/Porto_Velho', 'America/Puerto_Rico', 'America/Rainy_River', 'America/Rankin_Inlet', 'America/Recife', 'America/Regina', 'America/Resolute', 'America/Rio_Branco', 'America/Rosario', 'America/Santa_Isabel', 'America/Santarem', 'America/Santiago', 'America/Santo_Domingo', 'America/Sao_Paulo', 'America/Scoresbysund', 'America/Shiprock', 'America/Sitka', 'America/St_Barthelemy', 'America/St_Johns', 'America/St_Kitts', 'America/St_Lucia', 'America/St_Thomas', 'America/St_Vincent', 'America/Swift_Current', 'America/Tegucigalpa', 'America/Thule', 'America/Thunder_Bay', 'America/Tijuana', 'America/Toronto', 'America/Tortola', 'America/Vancouver', 'America/Virgin', 'America/Whitehorse', 'America/Winnipeg', 'America/Yakutat', 'America/Yellowknife', 'Antarctica/Casey', 'Antarctica/Davis', 'Antarctica/DumontDUrville', 'Antarctica/Macquarie', 'Antarctica/Mawson', 'Antarctica/McMurdo', 'Antarctica/Palmer', 'Antarctica/Rothera', 'Antarctica/South_Pole', 'Antarctica/Syowa', 'Antarctica/Troll', 'Antarctica/Vostok', 'Arctic/Longyearbyen', 'Asia/Aden', 'Asia/Almaty', 'Asia/Amman', 'Asia/Anadyr', 'Asia/Aqtau', 'Asia/Aqtobe', 'Asia/Ashgabat', 'Asia/Ashkhabad', 'Asia/Baghdad', 'Asia/Bahrain', 'Asia/Baku', 'Asia/Bangkok', 'Asia/Beirut', 'Asia/Bishkek', 'Asia/Brunei', 'Asia/Calcutta', 'Asia/Chita', 'Asia/Choibalsan', 'Asia/Chongqing', 'Asia/Chungking', 'Asia/Colombo', 'Asia/Dacca', 'Asia/Damascus', 'Asia/Dhaka', 'Asia/Dili', 'Asia/Dubai', 'Asia/Dushanbe', 'Asia/Gaza', 'Asia/Harbin', 'Asia/Hebron', 'Asia/Ho_Chi_Minh', 'Asia/Hong_Kong', 'Asia/Hovd', 'Asia/Irkutsk', 'Asia/Istanbul', 'Asia/Jakarta', 'Asia/Jayapura', 'Asia/Jerusalem', 'Asia/Kabul', 'Asia/Kamchatka', 'Asia/Karachi', 'Asia/Kashgar', 'Asia/Kathmandu', 'Asia/Katmandu', 'Asia/Khandyga', 'Asia/Kolkata', 'Asia/Krasnoyarsk', 'Asia/Kuala_Lumpur', 'Asia/Kuching', 'Asia/Kuwait', 'Asia/Macao', 'Asia/Macau', 'Asia/Magadan', 'Asia/Makassar', 'Asia/Manila', 'Asia/Muscat', 'Asia/Nicosia', 'Asia/Novokuznetsk', 'Asia/Novosibirsk', 'Asia/Omsk', 'Asia/Oral', 'Asia/Phnom_Penh', 'Asia/Pontianak', 'Asia/Pyongyang', 'Asia/Qatar', 'Asia/Qyzylorda', 'Asia/Rangoon', 'Asia/Riyadh', 'Asia/Saigon', 'Asia/Sakhalin', 'Asia/Samarkand', 'Asia/Seoul', 'Asia/Shanghai', 'Asia/Singapore', 'Asia/Srednekolymsk', 'Asia/Taipei', 'Asia/Tashkent', 'Asia/Tbilisi', 'Asia/Tehran', 'Asia/Tel_Aviv', 'Asia/Thimbu', 'Asia/Thimphu', 'Asia/Tokyo', 'Asia/Ujung_Pandang', 'Asia/Ulaanbaatar', 'Asia/Ulan_Bator', 'Asia/Urumqi', 'Asia/Ust-Nera', 'Asia/Vientiane', 'Asia/Vladivostok', 'Asia/Yakutsk', 'Asia/Yekaterinburg', 'Asia/Yerevan', 'Atlantic/Azores', 'Atlantic/Bermuda', 'Atlantic/Canary', 'Atlantic/Cape_Verde', 'Atlantic/Faeroe', 'Atlantic/Faroe', 'Atlantic/Jan_Mayen', 'Atlantic/Madeira', 'Atlantic/Reykjavik', 'Atlantic/South_Georgia', 'Atlantic/St_Helena', 'Atlantic/Stanley', 'Australia/ACT', 'Australia/Adelaide', 'Australia/Brisbane', 'Australia/Broken_Hill', 'Australia/Canberra', 'Australia/Currie', 'Australia/Darwin', 'Australia/Eucla', 'Australia/Hobart', 'Australia/LHI', 'Australia/Lindeman', 'Australia/Lord_Howe', 'Australia/Melbourne', 'Australia/NSW', 'Australia/North', 'Australia/Perth', 'Australia/Queensland', 'Australia/South', 'Australia/Sydney', 'Australia/Tasmania', 'Australia/Victoria', 'Australia/West', 'Australia/Yancowinna', 'Brazil/Acre', 'Brazil/DeNoronha', 'Brazil/East', 'Brazil/West', 'CET', 'CST6CDT', 'Canada/Atlantic', 'Canada/Central', 'Canada/East-Saskatchewan', 'Canada/Eastern', 'Canada/Mountain', 'Canada/Newfoundland', 'Canada/Pacific', 'Canada/Saskatchewan', 'Canada/Yukon', 'Chile/Continental', 'Chile/EasterIsland', 'Cuba', 'EET', 'EST', 'EST5EDT', 'Egypt', 'Eire', 'Etc/GMT', 'Etc/GMT+0', 'Etc/GMT+1', 'Etc/GMT+10', 'Etc/GMT+11', 'Etc/GMT+12', 'Etc/GMT+2', 'Etc/GMT+3', 'Etc/GMT+4', 'Etc/GMT+5', 'Etc/GMT+6', 'Etc/GMT+7', 'Etc/GMT+8', 'Etc/GMT+9', 'Etc/GMT-0', 'Etc/GMT-1', 'Etc/GMT-10', 'Etc/GMT-11', 'Etc/GMT-12', 'Etc/GMT-13', 'Etc/GMT-14', 'Etc/GMT-2', 'Etc/GMT-3', 'Etc/GMT-4', 'Etc/GMT-5', 'Etc/GMT-6', 'Etc/GMT-7', 'Etc/GMT-8', 'Etc/GMT-9', 'Etc/GMT0', 'Etc/Greenwich', 'Etc/UCT', 'Etc/UTC', 'Etc/Universal', 'Etc/Zulu', 'Europe/Amsterdam', 'Europe/Andorra', 'Europe/Athens', 'Europe/Belfast', 'Europe/Belgrade', 'Europe/Berlin', 'Europe/Bratislava', 'Europe/Brussels', 'Europe/Bucharest', 'Europe/Budapest', 'Europe/Busingen', 'Europe/Chisinau', 'Europe/Copenhagen', 'Europe/Dublin', 'Europe/Gibraltar', 'Europe/Guernsey', 'Europe/Helsinki', 'Europe/Isle_of_Man', 'Europe/Istanbul', 'Europe/Jersey', 'Europe/Kaliningrad', 'Europe/Kiev', 'Europe/Lisbon', 'Europe/Ljubljana', 'Europe/London', 'Europe/Luxembourg', 'Europe/Madrid', 'Europe/Malta', 'Europe/Mariehamn', 'Europe/Minsk', 'Europe/Monaco', 'Europe/Moscow', 'Europe/Nicosia', 'Europe/Oslo', 'Europe/Paris', 'Europe/Podgorica', 'Europe/Prague', 'Europe/Riga', 'Europe/Rome', 'Europe/Samara', 'Europe/San_Marino', 'Europe/Sarajevo', 'Europe/Simferopol', 'Europe/Skopje', 'Europe/Sofia', 'Europe/Stockholm', 'Europe/Tallinn', 'Europe/Tirane', 'Europe/Tiraspol', 'Europe/Uzhgorod', 'Europe/Vaduz', 'Europe/Vatican', 'Europe/Vienna', 'Europe/Vilnius', 'Europe/Volgograd', 'Europe/Warsaw', 'Europe/Zagreb', 'Europe/Zaporozhye', 'Europe/Zurich', 'GB', 'GB-Eire', 'GMT', 'GMT+0', 'GMT-0', 'GMT0', 'Greenwich', 'HST', 'Hongkong', 'Iceland', 'Indian/Antananarivo', 'Indian/Chagos', 'Indian/Christmas', 'Indian/Cocos', 'Indian/Comoro', 'Indian/Kerguelen', 'Indian/Mahe', 'Indian/Maldives', 'Indian/Mauritius', 'Indian/Mayotte', 'Indian/Reunion', 'Iran', 'Israel', 'Jamaica', 'Japan', 'Kwajalein', 'Libya', 'MET', 'MST', 'MST7MDT', 'Mexico/BajaNorte', 'Mexico/BajaSur', 'Mexico/General', 'NZ', 'NZ-CHAT', 'Navajo', 'PRC', 'PST8PDT', 'Pacific/Apia', 'Pacific/Auckland', 'Pacific/Bougainville', 'Pacific/Chatham', 'Pacific/Chuuk', 'Pacific/Easter', 'Pacific/Efate', 'Pacific/Enderbury', 'Pacific/Fakaofo', 'Pacific/Fiji', 'Pacific/Funafuti', 'Pacific/Galapagos', 'Pacific/Gambier', 'Pacific/Guadalcanal', 'Pacific/Guam', 'Pacific/Honolulu', 'Pacific/Johnston', 'Pacific/Kiritimati', 'Pacific/Kosrae', 'Pacific/Kwajalein', 'Pacific/Majuro', 'Pacific/Marquesas', 'Pacific/Midway', 'Pacific/Nauru', 'Pacific/Niue', 'Pacific/Norfolk', 'Pacific/Noumea', 'Pacific/Pago_Pago', 'Pacific/Palau', 'Pacific/Pitcairn', 'Pacific/Pohnpei', 'Pacific/Ponape', 'Pacific/Port_Moresby', 'Pacific/Rarotonga', 'Pacific/Saipan', 'Pacific/Samoa', 'Pacific/Tahiti', 'Pacific/Tarawa', 'Pacific/Tongatapu', 'Pacific/Truk', 'Pacific/Wake', 'Pacific/Wallis', 'Pacific/Yap', 'Poland', 'Portugal', 'ROC', 'ROK', 'Singapore', 'Turkey', 'UCT', 'US/Alaska', 'US/Aleutian', 'US/Arizona', 'US/Central', 'US/East-Indiana', 'US/Eastern', 'US/Hawaii', 'US/Indiana-Starke', 'US/Michigan', 'US/Mountain', 'US/Pacific', 'US/Pacific-New', 'US/Samoa', 'UTC', 'Universal', 'W-SU', 'WET', 'Zulu'
        );
        $tz2 = array();
        foreach ($tz as $z) {
            $tz2[] = array(
                'value' => $z,
                'label' => $z
            );
        }
        return $opts_format ? $tz2 : $tz;
    }
}
/**
 * Universal generate Breadcrumbs
 * */
if (!function_exists('musart_breadcrumbs')) {
    function musart_breadcrumbs($home_title = false)
    {
        /* === OPTIONS === */
        $text['home'] = $home_title; // text for the 'Home' link
        $text['category'] = esc_html__('Archive by Category "%s"', 'musart'); // text for a category page
        $text['tax'] = esc_html__('Archive for "%s"', 'musart'); // text for a taxonomy page
        $text['search'] = esc_html__('Search Results for "%s" Query', 'musart'); // text for a search results page
        $text['tag'] = esc_html__('Posts Tagged "%s"', 'musart'); // text for a tag page
        $text['author'] = esc_html__('Articles Posted by %s', 'musart'); // text for an author page
        $text['404'] = esc_html__('Error 404', 'musart'); // text for the 404 page
        $showCurrent = 1; // 1 - show current post/page title in breadcrumbs, 0 - don't show
        $showOnHome = 1; // 1 - show breadcrumbs on the homepage, 0 - don't show
        $delimiter = ''; // delimiter between crumbs
        $before = '<li><span>'; // tag before the current crumb
        $after = '</span></li>'; // tag after the current crumb
        /* === END OF OPTIONS === */
        global $post;
        $post_type = get_post_type();//product
        $result='';
        $homeLink = esc_url( home_url('/') );
        $linkBefore = '<li>';
        $linkAfter = '</li>';
        $linkAttr = ' rel="v:url" property="v:title"';
        $link = $linkBefore . '<a' . $linkAttr . ' href="%1$s">%2$s</a>' . $linkAfter;
        if (is_home() || is_front_page()) {
            if ($showOnHome == 1 and $text['home']) $result .= '<ul><li><a href="' . $homeLink . '">' . $text['home'] . '</a></li></ul>';
        } else {
            $result .= '<ul>';
            if (function_exists('is_bbpress') && is_bbpress()) { //supported bbpres breadcrumbs
                $result .= bbp_get_breadcrumb(array('home_text' => $text['home']));
            } elseif($post_type == 'product' && function_exists('woocommerce_breadcrumb')){
                // is Woocommerce
                $args =wp_parse_args(array(
                    'delimiter' => $delimiter,
                    'before' => $before,
                    'wrap_before' => '',
                    'wrap_after'  => '',
                    'after'       => $after,
                    'home'        => $text['home']
                ));
                $breadcrumbs = new WC_Breadcrumb();
                if ( ! empty( $args['home'] ) ) {
                    $breadcrumbs->add_crumb( $args['home'], apply_filters( 'woocommerce_breadcrumb_home_url', home_url() ) );
                }
                $args['breadcrumb'] = $breadcrumbs->generate();
                if (!empty($args['breadcrumb'])) {
                    $result .= $args['wrap_before'];
                    foreach ($args['breadcrumb'] as $key => $crumb) {
                        $result .=  $before;

                        if (!empty($crumb[1]) && sizeof($args['breadcrumb']) !== $key + 1) {
                            $result .=  '<a href="' . esc_url($crumb[1]) . '">' . esc_html($crumb[0]) . '</a>';
                        } else {
                            $result .=  esc_html($crumb[0]);
                        }

                        $result .=  $after;

                        if (sizeof($args['breadcrumb']) !== $key + 1) {
                            $result .=  $delimiter;
                        }
                    }
                    $result .= $args['wrap_after'];
                }

            } else {
                if ($text['home']) {
                    $result .= sprintf($link, $homeLink, $text['home']) . $delimiter;
                }

                if (is_category()) {
                    $thisCat = get_category(get_query_var('cat'), false);
                    if ($thisCat->parent != 0) {
                        $cats = get_category_parents($thisCat->parent, TRUE, $delimiter);
                        $cats = str_replace('<a', $linkBefore . '<a' . $linkAttr, $cats);
                        $cats = str_replace('</a>', '</a>' . $linkAfter, $cats);
                        $result .= $cats;
                    }
                    $result .= $before . sprintf($text['category'], single_cat_title('', false)) . $after;
                } elseif (is_tax()) {
                    $thisCat = get_category(get_query_var('cat'), false);
                    if ($thisCat->parent != 0) {
                        $cats = get_category_parents($thisCat->parent, TRUE, $delimiter);
                        $cats = str_replace('<a', $linkBefore . '<a' . $linkAttr, $cats);
                        $cats = str_replace('</a>', '</a>' . $linkAfter, $cats);
                        $result .= $cats;
                    }
                    $result .= $before . sprintf($text['tax'], single_cat_title('', false)) . $after;

                } elseif (is_search()) {
                    $result .= $before . sprintf($text['search'], get_search_query()) . $after;
                } elseif (is_day()) {
                    $result .= sprintf($link, get_year_link(get_the_time('Y')), get_the_time('Y')) . $delimiter;
                    $result .= sprintf($link, get_month_link(get_the_time('Y'), get_the_time('m')), get_the_time('F')) . $delimiter;
                    $result .= $before . get_the_time('d') . $after;
                } elseif (is_month()) {
                    $result .= sprintf($link, get_year_link(get_the_time('Y')), get_the_time('Y')) . $delimiter;
                    $result .= $before . get_the_time('F') . $after;
                } elseif (is_year()) {
                    $result .= $before . get_the_time('Y') . $after;
                } elseif (is_single() && !is_attachment()) {
                    if (get_post_type() != 'post') {
                        $post_type = get_post_type_object(get_post_type());
                        $slug = $post_type->rewrite;
                        $result .= sprintf($link, $homeLink . '/' . $slug['slug'] . '/', $post_type->labels->singular_name);
                        if ($showCurrent == 1) $result .= $delimiter . $before . get_the_title() . $after;
                    } else {
                        $cat = get_the_category();
                        $cat = $cat[0];
                        $cats = get_category_parents($cat, TRUE, $delimiter);
                        if ($showCurrent == 0) $cats = preg_replace("#^(.+)$delimiter$#", "$1", $cats);
                        $cats = str_replace('<a', $linkBefore . '<a' . $linkAttr, $cats);
                        $cats = str_replace('</a>', '</a>' . $linkAfter, $cats);
                        $result .= $cats;
                        if ($showCurrent == 1) $result .= $before . get_the_title() . $after;
                    }
                } elseif (!is_single() && !is_page() && get_post_type() != 'post' && !is_404()) {
                    $post_type = get_post_type_object(get_post_type());
                    if(is_object($post_type)){
                        $result .= $before . $post_type->labels->singular_name . $after;
                    }
                } elseif (is_attachment()) {
                    $parent = get_post($post->post_parent);
                    $cat = get_the_category($parent->ID);
                    $cat = $cat[0];
                    $cats = get_category_parents($cat, TRUE, $delimiter);
                    $cats = str_replace('<a', $linkBefore . '<a' . $linkAttr, $cats);
                    $cats = str_replace('</a>', '</a>' . $linkAfter, $cats);
                    $result .= $cats;
                    $result .= sprintf($link, get_permalink($parent), $parent->post_title);
                    if ($showCurrent == 1) $result .= $delimiter . $before . get_the_title() . $after;
                } elseif (is_page() && !$post->post_parent) {
                    if ($showCurrent == 1) $result .= $before . get_the_title() . $after;
                } elseif (is_page() && $post->post_parent) {
                    $parent_id = $post->post_parent;
                    $breadcrumbs = array();
                    while ($parent_id) {
                        $page = get_page($parent_id);
                        $breadcrumbs[] = sprintf($link, get_permalink($page->ID), get_the_title($page->ID));
                        $parent_id = $page->post_parent;
                    }
                    $breadcrumbs = array_reverse($breadcrumbs);
                    for ($i = 0; $i < count($breadcrumbs); $i++) {
                        $result .= $breadcrumbs[$i];
                        if ($i != count($breadcrumbs) - 1) $result .= $delimiter;
                    }
                    if ($showCurrent == 1) $result .= $delimiter . $before . get_the_title() . $after;
                } elseif (is_tag()) {
                    $result .= $before . sprintf($text['tag'], single_tag_title('', false)) . $after;
                } elseif (is_author()) {
                    global $author;
                    $userdata = get_userdata($author);
                    $result .= $before . sprintf($text['author'], $userdata->display_name) . $after;
                } elseif (is_archive()) {
                    $result .= $before . the_archive_title() . $after;
                } elseif (is_404()) {
                    $result .= $before . $text['404'] . $after;
                }
                if (get_query_var('paged')) {
                    if (is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author()) $result .= ' (';
                    $result .= esc_html__('Page', 'musart') . ' ' . get_query_var('paged');
                    if (is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author()) $result .= ')';
                }
            }
            $result .= '</ul>';
        }
return $result;
    }
}
/**
 * Prints HTML with meta information for the current post-date/time and author.
 */
if (!function_exists('musart_posted_on')) :
    function musart_posted_on($get = false, $showDate = true)
    {

        $time_string = get_the_time(esc_html__('F j, Y ', 'musart'));
        $posted_on = $time_string;


        if ($get) {
            return ($showDate ? esc_html( $posted_on ) : '');
        } else {
            echo($showDate ? esc_html( $posted_on ) : '');
        }
    }
endif;
/**
 * Prints HTML with image and post url
 */
if (!function_exists('musart_post_thumbnail')) :
    function musart_post_thumbnail($get = false, $additional_info = '')
    {
        $template =
            '<a href="%s" class="nk-image-box-1 nk-post-image">
				%s
			' . $additional_info . '
		</a>';
        $thumbnail = '';
        if (has_post_thumbnail()) {
            $thumbnail = '<img src="' . esc_url(get_the_post_thumbnail_url(get_the_ID(), 'musart_500x375')) . '" alt="' . esc_attr(get_the_title(get_the_ID())) . '">';
        }

        if ($get) {
            $result = '';
            if($thumbnail != ''){
                $result = sprintf($template, esc_url(get_permalink()), $thumbnail);
            }
            return $result;
        } else {
            if($thumbnail != '') {
                printf($template, esc_url(get_permalink()), $thumbnail);
            }
        }
    }
endif;
/**
 * Get Attachment Attribute for Images
 */
if (!function_exists('musart_get_attachment')) :
    function musart_get_attachment($attachment_id, $attachment_size = 'full')
    {
// is url
        if (filter_var($attachment_id, FILTER_VALIDATE_URL)) {
            $path_to_image = $attachment_id;
            $attachment_id = attachment_url_to_postid($attachment_id);
            if (is_numeric($attachment_id) && $attachment_id == 0) {
                return array(
                    'alt' => null,
                    'caption' => null,
                    'description' => null,
                    'href' => null,
                    'src' => $path_to_image,
                    'title' => null,
                    'width' => null,
                    'height' => null,
                );
            }
        }

// is numeric
        if (is_numeric($attachment_id) && $attachment_id !== 0) {
            $attachment = get_post($attachment_id);
            $attachment_src = array();
            if(is_object($attachment)) {
                if (isset($attachment_size)) {
                    $attachment_src = wp_get_attachment_image_src($attachment_id, $attachment_size);
                }
                return array(
                    'alt' => get_post_meta($attachment->ID, '_wp_attachment_image_alt', true),
                    'caption' => $attachment->post_excerpt,
                    'description' => $attachment->post_content,
                    'href' => get_permalink($attachment->ID),
                    'src' => isset($attachment_src[0]) ? $attachment_src[0] : $attachment->guid,
                    'title' => $attachment->post_title,
                    'width' => isset($attachment_src[1]) ? $attachment_src[1] : false,
                    'height' => isset($attachment_src[2]) ? $attachment_src[2] : false,
                );
            }
        }
        return false;
    }
endif;
/**
 * Get Attachment Attribute for Images
 */
if (!function_exists('musart_get_social_list')) :
    function musart_get_social_list($size_list = 'full')
    {
        if ($size_list == 'full') {
            return array(
                'fab fa-twitch' => esc_html__('Twitch', 'musart'),
                'fab fa-vimeo' => esc_html__('Vimeo', 'musart'),
                'fab fa-youtube' => esc_html__('Youtube', 'musart'),
                'fab fa-facebook' => esc_html__('Facebook', 'musart'),
                'fab fa-google-plus' => esc_html__('Google-plus', 'musart'),
                'fab fa-twitter' => esc_html__('Twitter', 'musart'),
                'fab fa-pinterest' => esc_html__('Pinterest', 'musart'),
                'fab fa-instagram' => esc_html__('Instagram', 'musart'),
                'fab fa-linkedin' => esc_html__('Linkedin', 'musart'),
                'fab fa-behance' => esc_html__('Behance', 'musart'),
                'fab fa-odnoklassniki' => esc_html__('Odnoklassniki', 'musart'),
                'fab fa-skype' => esc_html__('Skype', 'musart'),
                'fab fa-vk' => esc_html__('VK', 'musart'),
                'fab fa-steam' => esc_html__('Steam', 'musart'),
                'fab fa-bitbucket' => esc_html__('Bitbucket', 'musart'),
                'fab fa-dropbox' => esc_html__('Dropbox', 'musart'),
                'fab fa-dribbble' => esc_html__('Dribbble', 'musart'),
                'fab fa-deviantart' => esc_html__('Deviantart', 'musart'),
                'fab fa-flickr' => esc_html__('Flickr', 'musart'),
                'fab fa-foursquare' => esc_html__('Foursquare', 'musart'),
                'fab fa-github' => esc_html__('Github', 'musart'),
                'fab fa-medium' => esc_html__('Medium', 'musart'),
                'fab fa-paypal' => esc_html__('PayPal', 'musart'),
                'fab fa-reddit' => esc_html__('Reddit', 'musart'),
                'fab fa-soundcloud' => esc_html__('SoundCloud', 'musart'),
                'fab fa-slack' => esc_html__('Slack', 'musart'),
                'fab fa-tumblr' => esc_html__('Tumblr', 'musart'),
                'fab fa-wordpress' => esc_html__('WordPress', 'musart')
            );
        } elseif ($size_list == 'small') {
            return array(
                'fab fa-facebook' => esc_html__('Facebook', 'musart'),
                'fab fa-google-plus' => esc_html__('Google Plus', 'musart'),
                'fab fa-twitter' => esc_html__('Twitter', 'musart'),
                'fab fa-pinterest' => esc_html__('Pinterest', 'musart'),
                'fab fa-linkedin' => esc_html__('Linkedin', 'musart'),
                'fab fa-vk' => esc_html__('VK', 'musart')
            );
        } else {
            return null;
        }
    }
endif;

/**
 * Get all terms for post shortcodes
 */
if (!function_exists('musart_get_terms')) :
    function musart_get_terms()
    {
        $terms_list_vc = array();
        $terms_list = get_terms(get_object_taxonomies(get_post_types(array(
            'public' => false,
            'name' => 'attachment',
        ), 'names', 'NOT')));
        foreach ($terms_list as $term) {
            $terms_list_vc[] = array(
                "value" => $term->term_id,
                "label" => $term->name,
                "group" => $term->taxonomy
            );
        }

        return $terms_list_vc;
    }
endif;

/**
 * Responsive video embed
 */
add_filter('embed_oembed_html', 'musart_oembed_filter', 10, 4);
if (!function_exists('musart_oembed_filter')) :
    function musart_oembed_filter($html, $url, $attr, $post_ID)
    {
        $classes = '';
        if (strpos($url, 'youtube') > 0 || strpos($url, 'youtu.be') > 0) {
            $classes .= ' responsive-embed responsive-embed-16x9 embed-youtube';
        } else if (strpos($url, 'vimeo') > 0) {
            $classes .= ' responsive-embed responsive-embed-16x9 embed-vimeo';
        } else if (strpos($url, 'twitter') > 0) {
            $classes .= ' embed-twitter';
        }

        $return = '<div class="' . musart_sanitize_class($classes) . '">' . $html . '</div>';
        return $return;
    }
endif;
/**
 * Redefined HTML form get_the_password_form
 */
if (!function_exists('musart_get_the_password_form')):
    function musart_get_the_password_form($post = 0)
    {
        $post = get_post($post);
        $label = 'pwbox-' . (empty($post->ID) ? rand() : $post->ID);
        $output = '<form action="' . esc_url(site_url('wp-login.php?action=postpass', 'login_post')) . '" class="post-password-form nk-form" method="post">
        ' . esc_html__('This content is password protected. To view it please enter your password below', 'musart') . '
        <div class="nk-gap-1"></div>
        <input name="post_password" id="' . $label . '" type="password" size="20" placeholder="' . esc_html__('Enter you password', 'musart') . '" class="form-control"/>
        <input type="hidden" name="Submit" value="' . esc_attr_x('Enter', 'post password form', 'musart') . '" />
        <div class="nk-gap"></div>
        <button class="nk-btn nk-btn-lg">' . esc_html__('Enter', 'musart') . '</button>
        </form>
        ';
        return apply_filters('the_password_form', $output);
    }
endif;

if (!function_exists( 'musart_password_form' )):
    function musart_password_form() {
        global $post;
        $label = 'pwbox-'.( empty( $post->ID ) ? rand() : $post->ID );
        $o = '<form action="' . esc_url( site_url( 'wp-login.php?action=postpass', 'login_post' ) ) . '" method="post" class="nk-form nk-form-style-1 validate"><div class="input-group"><input name="post_password" id="' . $label . '" type="password" class="form-control required" placeholder = "'.esc_html__('Password', 'musart').'"/><button class="nk-btn nk-btn-color-dark-1 password-submit">'.esc_html__( "Submit", 'musart' ).'</button></div><small>' . esc_html__( "To view this protected post, enter the password below", 'musart' ) . '</small> </form>
        ';
        return $o;
    }
endif;
add_filter( 'the_password_form', 'musart_password_form' );

// define the previous_comments_link_attributes callback
if (!function_exists('musart_filter_previous_comments_link_attributes')):
    function musart_filter_previous_comments_link_attributes( $var ) {
        $var='class="nk-pagination-prev"';
        return $var;
    }
endif;

if (!function_exists('musart_filter_next_comments_link_attributes')):
    function musart_filter_next_comments_link_attributes( $var ) {
        $var='class="nk-pagination-next"';
        return $var;
    }
endif;
// add the filter
add_filter( 'previous_comments_link_attributes', 'musart_filter_previous_comments_link_attributes', 10, 1 );
add_filter( 'next_comments_link_attributes', 'musart_filter_next_comments_link_attributes', 10, 1 );

if (!function_exists('musart_get_main_navigation_logo')):
    function musart_get_main_navigation_logo(){
        $attachment = musart_get_attachment(musart_get_theme_mod('main_navigation_logo'));
        $alt = $attachment['alt'] ? esc_attr($attachment['alt']) : get_bloginfo('name');
        $result = '<a href="'.esc_url(home_url('/')).'" class="nk-nav-logo">';
        $result .= '<img src="'.esc_url(musart_get_theme_mod('main_navigation_logo')).'" alt="'.$alt.'" width="'.esc_attr(musart_get_theme_mod('main_navigation_logo_width')).'">';
        $result .='</a>';
        return $result;
    }
endif;
//delete [...] before output and trim to need char length
if (!function_exists('musart_excerpt_max_charlength')):
    function musart_excerpt_max_charlength($limit = 15, $return_mode = false) {
        $content = wp_trim_words(do_shortcode(get_the_content()), $limit, '...');
        if ($return_mode){
            return $content;
        }
        else{
            echo wp_kses_post( $content );
        }
    }
endif;

if (!function_exists('musart_ar_not_empty')):
function musart_ar_not_empty($var){
    if(!empty($var)){
        return true;
    }
}
endif;

if (!function_exists('musart_remove_wpautop')):
    function musart_remove_wpautop($content, $autop = false) {
        if ($autop) {
            $content = wpautop( preg_replace( '/<\/?p\>/', "\n", $content ) . "\n" );
        }
        return do_shortcode(shortcode_unautop($content));
    }
endif;

/* get_intermediate_image_sizes() without keys */
if (!function_exists( 'musart_get_image_sizes' )) :
    function musart_get_image_sizes() {
        $sizes = get_intermediate_image_sizes();
        $result = array('full' => 'full');
        foreach($sizes as $k => $name) {
            $result[$name] = $name;
        }
        return $result;
    }
endif;

// Add specific Boxed CSS class by filter.
add_filter( 'body_class', 'musart_body_class' );
if (!function_exists( 'musart_body_class' )) :
    function musart_body_class( $classes ) {
        $boxed = musart_get_theme_mod('page_boxed', true) ? 'nk-page-boxed' : '';
        return array_merge( $classes, array( $boxed ) );
    }
endif;

if ( ! function_exists( 'musart_allowed_html' ) ) :
    function musart_allowed_html() {
        $allowed_html = array(
            'a' => array(
                'href' => true,
                'title' => true,
                'rel' => true,
                'property' => true,
                'target' => true,
                'data-toggle' => true,
                'class' => true,
                'style' => true,
                'aria-label' => true,
                'data-size' => true,
            ),
            'br' => array(),
            'p' => array(
                'id' => true,
                'class' => true,
            ),
            'label' => array(
                'for' => true,
            ),
            'input' => array(
                'class' => true,
                'type' => true,
                'value' => true,
                'name' => true,
                'checked' => true,
            ),
            'h2' => array(
                'class' => true,
            ),
            'em' => array(),
            'strong' => array(),
            'li' => array(
                'id' => true,
                'class' => true,
                'data-filter' => true,
            ),
            'ul' => array(
                'id' => true,
                'class' => true,
            ),
            'span' => array(
                'id' => true,
                'class' => true,
                'data-sociality-like' => true,
                'data-post-id' => true,
                'data-post-type' => true,
                'data-post-likes-count' => true,
                'data-post-liked' => true,
            ),
            'div' => array(
                'id' => true,
                'class' => true,
                'data-arrows' => true,
                'data-size' => true,
                'tabindex' => true,
                'style' => true,
                'aria-selected' => true,
                'data-autoplay' => true,
                'data-dots' => true,
                'data-src' => true,
                'data-duration' => true,
                'data-video' => true,
                'data-video-thumb' => true,
                'data-filter' => true,
            ),
            'nav' => array(),
            'img' => array(
                'width' => true,
                'height' => true,
                'src' => true,
                'class' => true,
                'alt' => true,
                'srcset' => true,
                'sizes' => true,
                'style' => true,
            ),
            'blockquote' => array(
                'class' => true,
            ),
            'style' => true,
            'i' => array(
                'class' => true,
            ),
            'time' => array(
                'class' => true,
                'datetime' => true,
            ),
        );
        return apply_filters( 'musart_filter_allowed_html', $allowed_html );
    }
endif;

add_action( 'wp_head', 'musart_pingback_header' );
if ( ! function_exists( 'musart_pingback_header' ) ) {
    /**
     * Add a pingback url auto-discovery header for single posts, pages, or attachments.
     */
    function musart_pingback_header() {
        if ( is_singular() && pings_open() ) {
            echo '<link rel="pingback" href="', esc_url( get_bloginfo( 'pingback_url' ) ), '">';
        }
    }
}
