<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package musart
 */
get_header();
get_template_part('/template-parts/header/search');
?>
    <div class="<?php echo musart_sanitize_class(musart_get_theme_mod('search_boxed') ? 'container' : 'container-fluid'); ?>">
        <div class="nk-gap-4"></div>
        <?php if (musart_get_theme_mod('search_show_title', true)): ?>
            <h1 class="nk-title"><?php printf(esc_html__('Search Results for "%s" Query', 'musart'), get_search_query());?></h1>
        <?php endif; ?>
        <?php
        $pagination = musart_get_theme_mod('search_pagination', true);
        $class = '';
        if (isset($pagination) && $pagination === 'infinite') {
            $class .= ' nk-infinite-scroll-container';
        }
        if (isset($pagination) && $pagination === 'load_more') {
            $class .= ' nk-load-more-container';
        }

        $style = musart_get_theme_mod('search_list_style_content', true);
        $columns = musart_get_theme_mod('search_list_columns_content', true);
        $simple_view = musart_get_theme_mod('search_simple_view');
        $show_continue_button =  musart_get_theme_mod('search_show_continue_button');
        $preview_description_type = musart_get_theme_mod('search_preview_description_type_content', true);
        $preview_description_trim_cnt = musart_get_theme_mod('search_preview_description_trim_cnt', 50, true);
        if ($style == 'classic' && $columns > 1 && $columns <= 3) {
            $class .= ' nk-blog-isotope nk-isotope nk-isotope-gap nk-isotope-' . $columns . '-cols';
        } else {
            $class .= ' nk-blog-list';
        }

        if (have_posts()) :?>
        <div class="<?php echo musart_sanitize_class($class); ?>">
                <?php /* Start the Loop */
                while (have_posts()) : the_post();
                    ?>
                    <?php if($style == 'classic' && $columns>1 && $columns<=3):
                        echo '<div class="nk-isotope-item news-one">';
                    endif;
                    ?>
                    <div id="post-<?php the_ID(); ?>" <?php post_class('nk-blog-post'.(($columns<=1 || $columns=='') ? ' news-one' : ''));?>>
                        <?php if($style == 'classic'):?>

                            <?php get_template_part('template-parts/content', 'post-list-category'); ?>

                            <?php get_template_part('template-parts/content', 'post-list-title'); ?>

                            <?php if(!$simple_view):?>
                                <?php get_template_part('template-parts/content', 'post-list-preview');?>
                            <?php endif;?>
                            <?php
                            //template part for output post description
                            $format = get_post_format();
                            ?>
                            <?php if ($preview_description_type != 'false' && $format!='quote'): ?>
                                <div class="nk-post-text">
                                    <?php
                                    if ($preview_description_type == 'excerpt' && $preview_description_trim_cnt > 0) {
                                        musart_excerpt_max_charlength($preview_description_trim_cnt);
                                    } elseif ($preview_description_type == 'more') {
                                        the_content();
                                    }
                                    ?>
                                </div>
                            <?php endif; ?>
                            <?php if(!$simple_view):?>
                                <?php if($show_continue_button):?>
                                    <div class="nk-post-continue">
                                        <a href="<?php echo esc_url(get_permalink()) ?>"><?php esc_html_e('Continue Reading', 'musart'); ?>
                                            <span class="ion-ios-arrow-thin-right"></span></a>
                                    </div>
                                <?php endif;?>
                                <div class="nk-post-meta">
                                    <?php get_template_part('template-parts/content', 'post-list-meta'); ?>
                                </div>
                            <?php endif; ?>

                        <?php endif; ?>
                    </div>
                    <?php if($style == 'classic' && $columns>1 && $columns<=3):
                        echo '</div>';
                    endif;?>
                <?php endwhile;?>
        </div>
            <?php else :
                get_template_part('template-parts/content', 'none');
            endif; ?>
        <div class="clearfix"></div>
        <?php if ($pagination) {
            musart_posts_navigation();

            if ($pagination == 'infinite' || $pagination == 'load_more') {
                musart_infinite_scroll_init();
            }
        } ?>

        <div class="nk-gap-4"></div>
        <div class="nk-gap-3"></div>

    </div>
<?php
get_footer();
