<?php
/**
 * Template part for displaying page content in page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package musart
 */
$acf_content = musart_get_theme_mod('content_page_custom', true);
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php if (musart_get_theme_mod('single_page_content_show_title', $acf_content)): ?>
        <header class="entry-header">
            <h1 class="entry-title">
                <?php
                $custom_title = musart_get_theme_mod('single_page_content_custom_title', $acf_content);
                echo wp_kses_post( $custom_title ? $custom_title : get_the_title() );
                ?>
            </h1>
        </header><!-- .entry-header -->
    <?php endif; ?>
    <div class="entry-content">
        <?php
        the_content(); ?>
        <div class="clearfix"></div>
        <?php wp_link_pages(array(
            'before' => '<div class="page-links">' . esc_html__('Pages:', 'musart'),
            'after' => '</div>',
        ));
        ?>
    </div><!-- .entry-content -->
</article><!-- #post-## -->
