<?php
$title = get_the_title(get_the_ID());
$status_sales = musart_get_theme_mod('event_status_sales', true);
$product_type = musart_get_theme_mod('event_product_type', true);
$post_type = get_post_type();
$acf_content = musart_get_theme_mod('content_' . $post_type . '_custom', true);
$acf_header = musart_get_theme_mod($post_type . '_header_custom', true);
$container_buy_class = 'nk-event-button';
$container_buy = $button_color ='';
if(isset($color)){
    $button_color .= ' nk-btn-color-'.$color;
}
switch ($status_sales) {
    case 'sold_out':
        $container_buy_class .= ' nk-event-button-sold';
        $container_buy = esc_html__('Sold Out', 'musart');
        break;
    case 'buy':
        $purchase_link = musart_get_theme_mod('event_link_to_purchase', true);
        if (isset($purchase_link) && !empty($purchase_link)) {
            if(!isset($color)){
                $button_color .= ' nk-btn-color-dark-4';
            }
            $container_buy = '<div class="nk-gap"></div>
                                <a href="' . esc_url($purchase_link) . '"
                                   class="nk-btn nk-btn-xs nk-btn-effect-2-right nk-btn-outline nk-btn-circle '.musart_sanitize_class($button_color).'">
                                    <span>' . esc_html__('Buy', 'musart') . ' ' . esc_html($product_type) . '</span>
                                    <span class="icon"><i class="fas fa-ticket-alt"></i></span>
                                </a>';
        }
        break;
    case 'buy_on_date':
        $current_time = current_time(esc_html__('j F Y', 'musart'));
        $date_purchase = musart_get_theme_mod('event_date_purchase', true);
        if (strtotime($current_time) >= strtotime($date_purchase)) {
            $purchase_link = musart_get_theme_mod('event_link_to_purchase', true);
            if (isset($purchase_link) && !empty($purchase_link)) {
                if(!isset($color)){
                    $button_color .= ' nk-btn-color-white';
                }
                $container_buy = '<div class="nk-gap"></div>
                                <a href="' . esc_url($purchase_link) . '"
                                   class="nk-btn nk-btn-xs nk-btn-effect-2-right nk-btn-outline nk-btn-circle '.musart_sanitize_class($button_color).'">
                                    <span>' . esc_html__('Buy', 'musart') . ' ' . esc_html($product_type) . '</span>
                                    <span class="icon"><i class="fas fa-ticket-alt"></i></span>
                                </a>';
            }
            break;
        } else {
            $date_purchase = date('j F', strtotime($date_purchase));
            if (isset($date_purchase) && !empty($date_purchase)) {
                $container_buy = esc_html__('Buy on', 'musart') . ' ' . esc_html($date_purchase);
            }
        }
        break;
}
?>
<?php if (((musart_get_theme_mod($post_type . '_show_title', $acf_content) && isset($title)) || (isset($container_buy) && !empty($container_buy))) && is_single()): ?>
    <!-- START: Header Title -->
    <div class="nk-box">
            <div class="nk-gap-4"></div>
            <?php if (musart_get_theme_mod($post_type . '_detail_show_title', $acf_content)): ?>
                <h1 class="nk-title">
                    <?php
                    $custom_title = musart_get_theme_mod($post_type . '_content_custom_title', $acf_content);
                    echo wp_kses_post( $custom_title ? $custom_title : $title );
                    ?>
                </h1>
            <?php endif; ?>
            <div class="nk-header-text">
                <?php echo wp_kses_post( $container_buy ); ?>
            </div>
    </div>
    <!-- END: Header Title -->
    <?php elseif(is_archive() || is_page()):?>
    <div class="<?php echo musart_sanitize_class($container_buy_class) ?>">
        <?php echo wp_kses_post( $container_buy ); ?>
    </div>
<?php endif; ?>
