<!-- START: Header Title -->
<?php
global $post;
//use acf settings (return true or null)
$post_type = get_post_type();
if (is_archive()) {
    $acf_header = false;
    $acf_content = false;
    $acf_meta = false;
    $title = get_the_archive_title();
} elseif (is_single()) {
    $acf_header = musart_get_theme_mod($post_type . '_header_custom', true);
    $acf_content = musart_get_theme_mod('content_' . $post_type . '_custom', true);
    $acf_meta = musart_get_theme_mod($post_type . '_meta_custom', true);
    $title = get_the_title($post->ID);
}
?>
<?php if (musart_get_theme_mod($post_type . '_header_show', $acf_header)): ?>
    <?php
//defend additional classes
    $navbarAdditionalClasses = "";
    if (musart_get_theme_mod($post_type . '_header_size', $acf_header)) {
        $navbarAdditionalClasses .= " nk-header-title-" . musart_get_theme_mod($post_type . '_header_size', $acf_header);
    }
    if (musart_get_theme_mod($post_type . '_header_parallax', $acf_header)) {
        $navbarAdditionalClasses .= " nk-header-title-parallax";
    }
    if (musart_get_theme_mod($post_type . '_header_parallax_opacity', $acf_header)) {
        $navbarAdditionalClasses .= " nk-header-title-parallax-opacity";
    }
    ?>
    <div
        class="nk-header-title<?php if ($navbarAdditionalClasses) echo musart_sanitize_class($navbarAdditionalClasses); ?>">
        <?php if (musart_get_theme_mod($post_type . '_header_type_image', $acf_header)): ?>
            <?php
            $banner_url = '';
            if (is_archive()){
                $banner_path = musart_get_theme_mod($post_type . '_header_archive_background_image');
                $attachment = musart_get_attachment($banner_path,'musart_1920x1080');
            } elseif (musart_get_theme_mod($post_type . '_header_type_image', $acf_header) == 'custom') {
                $banner_path = musart_get_theme_mod($post_type . '_header_background_image', $acf_header);
                $attachment = musart_get_attachment($banner_path,'musart_1920x1080');
            } elseif (musart_get_theme_mod($post_type . '_header_type_image', $acf_header) == 'featured') {
                $attachment = (musart_get_attachment(get_post_thumbnail_id($post->ID)));
            }
            $banner_url = $attachment['src'];
            ?>
            <?php if (isset($banner_url)): ?>
                <div class="bg-image">
                    <div
                        style="background-image: url('<?php echo esc_url($banner_url); ?>');"
                        <?php echo musart_get_theme_mod($post_type . '_header_background_image_opacity', $acf_header) ? 'class ="' . musart_sanitize_class('op-' . musart_get_theme_mod($post_type . '_header_background_image_opacity', $acf_header)) . '"' : ''; ?>></div>
                </div>
            <?php endif; ?>
        <?php endif; ?>

        <div class="nk-header-table">
            <div class="nk-header-table-cell">
                <div class="container">
                    <?php
                    $custom_header_back_title = musart_get_theme_mod($post_type . '_header_back_title', $acf_header);
                    $custom_header_sub_title = musart_get_theme_mod($post_type . '_header_sub_title', $acf_header);
                    $custom_header_content = musart_get_theme_mod($post_type . '_header_content', $acf_header);
                    $custom_header_video_link = musart_get_theme_mod($post_type . '_header_video_link', $acf_header);
                    ?>
                    <?php if (!empty($custom_header_back_title)): ?>
                        <?php
                        $header_back_title_opacity = 'op-' . musart_get_theme_mod($post_type . '_header_back_title_opacity', $acf_header);
                        $header_back_title_padding_bottom = musart_get_theme_mod($post_type . '_header_back_title_padding_bottom', $acf_header);
                        $back_title_class = 'nk-title-back';
                        $back_title_class .= ' text-' . musart_get_theme_mod($post_type . '_header_back_title_align', $acf_header);
                        $back_title_class .= ' ' . $header_back_title_opacity;
                        ?>
                        <h2 class="<?php echo musart_sanitize_class($back_title_class);?>" style="padding-bottom: <?php echo esc_attr($header_back_title_padding_bottom);?>px;"><?php echo wp_kses_post($custom_header_back_title); ?></h2>
                    <?php endif; ?>
                    <?php if (musart_get_theme_mod($post_type . '_header_show_title', $acf_header)): ?>
                        <?php
                        $header_title_padding_bottom = musart_get_theme_mod($post_type . '_header_title_padding_bottom', $acf_header);
                        $header_title_looks_like = musart_get_theme_mod($post_type . '_header_title_looks_like', $acf_header);
                        $header_title_looks_like .= ' nk-title';
                        $header_title_looks_like .= ' text-' . musart_get_theme_mod($post_type . '_header_title_align', $acf_header);
                        ?>
                        <h1 class="<?php echo musart_sanitize_class(trim($header_title_looks_like));?>" style="padding-bottom: <?php echo esc_attr($header_title_padding_bottom);?>px;">
                            <?php
                            $custom_title = musart_get_theme_mod($post_type . '_header_custom_title', $acf_header);
                            if (is_archive()){
                                $custom_title = musart_get_theme_mod($post_type . '_header_archive_custom_title');
                            }
                            echo wp_kses_post( $custom_title ? $custom_title : $title );
                            ?>
                        </h1>
                    <?php endif; ?>
                    <?php if (!empty($custom_header_sub_title)): ?>
                        <?php
                        $header_sub_title_padding_bottom = musart_get_theme_mod($post_type . '_header_sub_title_padding_bottom', $acf_header);
                        $sub_title_class = 'nk-sub-title';
                        $sub_title_class .= ' text-' . musart_get_theme_mod($post_type . '_header_sub_title_align', $acf_header);
                        ?>
                        <h2 class="<?php echo musart_sanitize_class($sub_title_class);?>" style="padding-bottom: <?php echo esc_attr($header_sub_title_padding_bottom);?>px;"><?php echo wp_kses_post($custom_header_sub_title); ?></h2>
                    <?php endif; ?>
                    <?php if (is_single() && $post_type == 'event'): ?>
                        <?php
                        $status_sales = musart_get_theme_mod('event_status_sales', true);
                        $product_type = musart_get_theme_mod('event_product_type', true);
                        $container_buy_class = 'nk-event-button';
                        $container_buy = '';
                        switch ($status_sales) {
                            case 'sold_out':
                                $container_buy_class .= ' nk-event-button-sold';
                                $container_buy = esc_html__('Sold Out', 'musart');
                                break;
                            case 'buy':
                                $purchase_link = musart_get_theme_mod('event_link_to_purchase', true);
                                if (isset($purchase_link) && !empty($purchase_link)) {
                                    $container_buy = '<div class="nk-gap"></div>
                                <a href="' . esc_url($purchase_link) . '"
                                   class="nk-btn nk-btn-xs nk-btn-effect-2-right nk-btn-outline nk-btn-color-white nk-btn-circle">
                                    <span>' . esc_html__('Buy', 'musart') . ' ' . esc_html($product_type) . '</span>
                                    <span class="icon"><i class="fas fa-ticket-alt"></i></span>
                                </a>';
                                }
                                break;
                            case 'buy_on_date':
                                $current_time = current_time(esc_html__('j F Y', 'musart'));
                                $date_purchase = musart_get_theme_mod('event_date_purchase', true);
                                if (strtotime($current_time) >= strtotime($date_purchase)) {
                                    $purchase_link = musart_get_theme_mod('event_link_to_purchase', true);
                                    if (isset($purchase_link) && !empty($purchase_link)) {
                                        $container_buy = '<div class="nk-gap"></div>
                                <a href="' . esc_url($purchase_link) . '"
                                   class="nk-btn nk-btn-xs nk-btn-effect-2-right nk-btn-outline nk-btn-color-white nk-btn-circle">
                                    <span>' . esc_html__('Buy', 'musart') . ' ' . esc_html($product_type) . '</span>
                                    <span class="icon"><i class="fas fa-ticket-alt"></i></span>
                                </a>';
                                    }
                                    break;
                                } else {
                                    $date_purchase = date('j F', strtotime($date_purchase));
                                    if (isset($date_purchase) && !empty($date_purchase)) {
                                        $container_buy = esc_html__('Buy on', 'musart') . ' ' . esc_html($date_purchase);
                                    }
                                }
                                break;
                        }
                        ?>
                        <div class="nk-header-text">
                            <?php echo wp_kses_post( $container_buy ); ?>
                        </div>
                    <?php endif; ?>
                    <?php if (!empty($custom_header_content)): ?>
                        <?php if ((single_post_title(null, false) && musart_get_theme_mod($post_type . '_show_title', $acf_content)) || !empty($custom_header_sub_title)): ?>
                            <div class="nk-gap-2"></div>
                        <?php endif; ?>
                        <?php
                        echo do_shortcode(musart_get_theme_mod($post_type . '_header_content', $acf_header));
                        ?>
                    <?php endif; ?>
                    <?php if (!empty($custom_header_video_link)): ?>
                        <?php
                        $style_video_icon = 'nk-video-icon';
                        $header_video_style = musart_get_theme_mod($post_type . '_header_video_style', $acf_header);
                        $style_video_icon .= !empty($header_video_style) ? '-'.$header_video_style : '';
                        ?>
                        <div class="nk-gap-2"></div>
                        <a class="nk-video-fullscreen-toggle"
                           href="<?php echo esc_url(musart_get_theme_mod($post_type . '_header_video_link', $acf_header)); ?>">
                            <span class="<?php echo musart_sanitize_class($style_video_icon);?>"><i class="fas fa-play pl-5"></i></span>
                        </a>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <?php if (musart_get_theme_mod($post_type . '_show_meta', $acf_meta) && is_single() && musart_get_theme_mod($post_type . '_position_meta', $acf_meta) == 'header'): ?>
                <?php get_template_part('/template-parts/' . $post_type . '/' . $post_type . '-meta'); ?>
        <?php endif; ?>
    </div>
<?php endif; ?>
<!-- END: Header Title -->
