<!-- START: Header Title -->
<?php
global $post;
$post_type = get_post_type();
if (!$post_type) {
    $post_type = 'page';
}
//use acf settings (return true or null)
$acf_header = musart_get_theme_mod('post_header_custom', true);
$acf_meta = musart_get_theme_mod('post_meta_custom', true);
$acf_sidebar = musart_get_theme_mod('sidebar_post_custom', true);
$acf_content = musart_get_theme_mod('content_post_custom', true);

$meta_published_show = musart_get_theme_mod('single_post_meta_published_show', $acf_meta);
$meta_categories_show = musart_get_theme_mod('single_post_meta_categories_show', $acf_meta);
$meta_author_show = musart_get_theme_mod('single_post_meta_author_show', $acf_meta);
$custom_sidebar = musart_get_theme_mod('sidebar_' . $post_type . '_list', $acf_sidebar);
$show_custom_sidebar = musart_get_theme_mod('sidebar_' . $post_type . '_show', $acf_sidebar);
$custom_sidebar_side = musart_get_theme_mod('sidebar_' . $post_type . '_side', $acf_sidebar);

$col_class = 'col-lg-8';
$pull_lg_class = '';
if ($show_custom_sidebar && $custom_sidebar) {

    $sidebar_class = 'nk-sidebar';
    $sticky_class = '';
    $side_class = '';
    if (isset($custom_sidebar_side)) {
        if ($custom_sidebar_side === 'left') {
            $pull_lg_class = ' pull-lg-8';
        }
        $side_class = ' nk-sidebar-' . $custom_sidebar_side;
    }
    if ($custom_sidebar_side) {
        $sticky_class = ' nk-sidebar-sticky';
    }

    if (isset($custom_sidebar_side)) {
        if ($custom_sidebar_side === 'left') {
            $col_class .= ' push-lg-4';
        }
    }
} else {
    $col_class = 'col-12';
}
if (musart_get_theme_mod('single_post_header_show', $acf_header)): ?>
    <?php
//defend additional classes
    $navbarAdditionalClasses = "";
    if (musart_get_theme_mod('single_post_header_size', $acf_header)) {
        $navbarAdditionalClasses .= " nk-header-title-" . musart_get_theme_mod('single_post_header_size', $acf_header);
    }
    if (musart_get_theme_mod('single_post_header_parallax', $acf_header)) {
        $navbarAdditionalClasses .= " nk-header-title-parallax";
    }
    if (musart_get_theme_mod('single_post_header_parallax_opacity', $acf_header)) {
        $navbarAdditionalClasses .= " nk-header-title-parallax-opacity";
    }
    ?>
    <div
        class="nk-header-title<?php if ($navbarAdditionalClasses) echo musart_sanitize_class($navbarAdditionalClasses); ?>">
        <?php if (musart_get_theme_mod('single_post_header_type_image', $acf_header)): ?>
            <?php
            $banner_url = '';
            if (musart_get_theme_mod('single_post_header_type_image', $acf_header) == 'custom') {
                $banner_path = musart_get_theme_mod('single_post_header_background_image', $acf_header);
                $attachment = musart_get_attachment($banner_path,'musart_1920x1080');
            } elseif (musart_get_theme_mod('single_post_header_type_image', $acf_header) == 'featured') {
                $attachment = musart_get_attachment(get_post_thumbnail_id(get_the_ID()),'musart_1920x1080');
            }
            $banner_url = $attachment['src'];
            ?>
            <?php if (isset($banner_url)): ?>
                <div class="bg-image">
                    <div
                        style="background-image: url('<?php echo esc_url($banner_url); ?>');"
                        <?php echo musart_get_theme_mod('single_post_header_background_image_opacity', true) ? 'class ="' . musart_sanitize_class( 'op-' . musart_get_theme_mod('single_post_header_background_image_opacity', $acf_header)) . '"' : '';?>></div>
                </div>
            <?php endif; ?>
        <?php endif; ?>
        <div class="nk-header-table">
            <div class="nk-header-table-cell">
                <div class="container">
                    <?php if (musart_get_theme_mod('single_post_header_show_title', $acf_header)): ?>
                        <?php
                        $header_title_padding_bottom = musart_get_theme_mod('single_post_header_title_padding_bottom', $acf_header);
                        $header_title_looks_like = musart_get_theme_mod('single_post_header_title_looks_like', $acf_header);
                        $header_title_looks_like .= ' nk-title';
                        $header_title_looks_like .= ' text-' . musart_get_theme_mod('single_post_header_title_align', $acf_header);
                        ?>
                    <h1 class="<?php echo musart_sanitize_class(trim($header_title_looks_like));?>" style="padding-bottom: <?php echo esc_attr($header_title_padding_bottom);?>px;">
                        <?php
                        $custom_title = musart_get_theme_mod('single_post_header_custom_title', $acf_header);
                        echo wp_kses_post( $custom_title ? $custom_title : get_the_title() );
                        ?>
                    </h1>
                    <?php endif; ?>
                    <?php if (musart_get_theme_mod('single_post_date_author_category_show', $acf_meta)): ?>
                        <?php if (musart_get_theme_mod('single_post_date_author_category_area', $acf_meta) == 'header-middle'): ?>
                            <div class="nk-header-text">
                                <div class="nk-post-date">
                                    <?php
                                    if($meta_published_show):
                                        $time_string = get_the_time(esc_html__('F j, Y ', 'musart'));
                                        echo esc_html( $time_string );
                                    endif;
                                    ?>
                                    <?php if($meta_author_show):?>
                                        <span class="nk-post-by"><?php esc_html_e('by', 'musart'); ?>
                                                <?php $author_id = $post->post_author; ?>
                                                <a href="<?php echo get_author_posts_url($author_id); ?>"><?php echo get_the_author_meta('display_name', $author_id); ?></a>
                                        </span>
                                    <?php endif; ?>
                            <?php if($meta_categories_show):?>
                                <span class="nk-post-category">
                                    <?php esc_html_e('In ', 'musart'); ?>
                                    <?php $category = get_the_category(); ?>
                                    <?php foreach ($category as $key => $cat_item): ?>
                                        <a href="<?php echo get_category_link($cat_item->cat_ID); ?>"><?php echo esc_html( $cat_item->name ); ?></a>
                                        <?php if ($key != count($category) - 1) echo ', '; ?>
                                    <?php endforeach; ?>
                                </span>
                            <?php endif; ?>
                                </div>
                            </div>
                        <?php endif; ?>
                    <?php endif; ?>

                </div>
            </div>
        </div>
    <?php if (musart_get_theme_mod('single_post_date_author_category_show', $acf_meta)): ?>
        <?php if (musart_get_theme_mod('single_post_date_author_category_area', $acf_meta) == 'header-bottom'): ?>
        <div class="nk-header-text-bottom">
            <div class="nk-post-date">
                <?php
                if($meta_published_show):
                    $time_string = get_the_time(esc_html__('F j, Y ', 'musart'));
                    echo esc_html( $time_string );
                endif;
                ?>
                <?php if($meta_author_show):?>
                    <span class="nk-post-by"><?php esc_html_e('by', 'musart'); ?>
                        <?php $author_id = $post->post_author; ?>
                        <a href="<?php echo get_author_posts_url($author_id); ?>"><?php echo get_the_author_meta('display_name', $author_id); ?></a>
                    </span>
                <?php endif; ?>
                    <?php if($meta_categories_show):?>
                        <span class="nk-post-category">
                                        <?php esc_html_e('In ', 'musart'); ?>
                                        <?php $category = get_the_category(); ?>
                                        <?php foreach ($category as $key => $cat_item): ?>
                                            <a href="<?php echo get_category_link($cat_item->cat_ID); ?>"><?php echo esc_html( $cat_item->name ); ?></a>
                                            <?php if ($key != count($category) - 1) echo ', '; ?>
                                        <?php endforeach; ?>
                        </span>
                    <?php endif; ?>
            </div>
        </div>
        <?php endif; ?>
    <?php endif; ?>
    </div>
    <!-- END: Header Title -->
<?php endif; ?>
