<!-- START: Header Title -->
<?php if (musart_get_theme_mod('search_header_show', true)): ?>
    <?php
//defend additional classes
    $navbarAdditionalClasses = "";
    if (musart_get_theme_mod('search_header_size', true)) {
        $navbarAdditionalClasses .= " nk-header-title-" . musart_get_theme_mod('search_header_size', true);
    }
    if (musart_get_theme_mod('search_header_parallax', true)) {
        $navbarAdditionalClasses .= " nk-header-title-parallax";
    }
    if (musart_get_theme_mod('search_header_parallax_opacity', true)) {
        $navbarAdditionalClasses .= " nk-header-title-parallax-opacity";
    }
    ?>
    <div
        class="nk-header-title<?php if ($navbarAdditionalClasses) echo musart_sanitize_class($navbarAdditionalClasses); ?>">
        <?php $banner = musart_get_theme_mod('search_header_background_image', true); ?>
        <?php if ($banner): ?>
            <?php
            $attachment = musart_get_attachment($banner, 'musart_1920x1080');
            $banner_url = $attachment['src'];
            ?>
            <?php if (isset($banner_url)): ?>
                <div class="bg-image">
                    <div
                        style="background-image: url('<?php echo esc_url($banner_url); ?>');"
                        <?php echo musart_get_theme_mod('search_header_background_image_opacity', true) ? 'class ="' . musart_sanitize_class( 'op-' . musart_get_theme_mod('search_header_background_image_opacity', true)) . '"' : '';?>></div>
                </div>
            <?php endif; ?>
        <?php endif; ?>
        <div class="nk-header-table">
            <div class="nk-header-table-cell">
                <div class="container">
                    <?php
                    $search_header_back_title=musart_get_theme_mod('search_header_back_title', true);
                    $search_header_sub_title=musart_get_theme_mod('search_header_sub_title', true);
                    $search_header_content=musart_get_theme_mod('search_header_content', true);
                    $search_header_video_link=musart_get_theme_mod('search_header_video_link', true);
                    ?>
                    <?php if (!empty($search_header_back_title)): ?>
                        <?php
                        $header_back_title_opacity = 'op-' . musart_get_theme_mod('search_header_back_title_opacity');
                        $header_back_title_padding_bottom = musart_get_theme_mod('search_header_back_title_padding_bottom');
                        $back_title_class = 'nk-title-back';
                        $back_title_class .= ' text-' . musart_get_theme_mod('search_header_back_title_align');
                        $back_title_class .= ' ' . $header_back_title_opacity;
                        ?>
                        <h2 class="<?php echo musart_sanitize_class($back_title_class);?>" style="padding-bottom: <?php echo esc_attr($header_back_title_padding_bottom);?>px;"><?php echo wp_kses_post($search_header_back_title); ?></h2>
                    <?php endif; ?>

                    <?php if (musart_get_theme_mod('search_header_show_title', true)): ?>
                        <?php
                        $header_title_padding_bottom = musart_get_theme_mod('search_header_title_padding_bottom');
                        $header_title_looks_like = musart_get_theme_mod('search_header_title_looks_like');
                        $header_title_looks_like .= ' nk-title';
                        $header_title_looks_like .= ' text-' . musart_get_theme_mod('search_header_title_align');
                        ?>
                        <?php echo '<h1 class="'.musart_sanitize_class(trim($header_title_looks_like)).'" style="padding-bottom:'.esc_attr($header_title_padding_bottom).' px;">'; printf(esc_html__('Search Results for: "%s" Query', 'musart'), get_search_query()); echo '</h1>';?>
                    <?php endif; ?>

                    <?php if (!empty($search_header_sub_title)): ?>
                        <?php
                        $header_sub_title_padding_bottom = musart_get_theme_mod('search_header_sub_title_padding_bottom');
                        $sub_title_class = 'nk-sub-title';
                        $sub_title_class .= ' text-' . musart_get_theme_mod('search_header_sub_title_align');
                        ?>
                        <h2 class="<?php echo musart_sanitize_class($sub_title_class);?>" style="padding-bottom: <?php echo esc_attr($header_sub_title_padding_bottom);?>px;"><?php echo wp_kses_post($search_header_sub_title); ?></h2>
                    <?php endif; ?>
                    <?php if (!empty($search_header_content)): ?>
                        <?php
                        echo do_shortcode(musart_get_theme_mod('search_header_content', true));
                        ?>
                    <?php endif; ?>
                    <?php if (!empty($search_header_video_link)): ?>
                        <?php
                        $style_video_icon = 'nk-video-icon';
                        $header_video_style = musart_get_theme_mod('search_header_video_style');
                        $style_video_icon .= !empty($header_video_style) ? '-'.$header_video_style : '';
                        ?>
                        <a class="nk-video-fullscreen-toggle"
                           href="<?php echo esc_url(musart_get_theme_mod('search_header_video_link', true)); ?>">
                            <span class="<?php echo musart_sanitize_class($style_video_icon);?>"><i class="fas fa-play pl-5"></i></span>
                        </a>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>
<!-- END: Header Title -->
