<!-- START: Header Title -->
<?php
//use acf settings (return true or null)
$acf_header = musart_get_theme_mod('page_header_custom', true);
$acf_content = musart_get_theme_mod('content_page_custom', true);
global $post;
?>
<?php if (musart_get_theme_mod('single_page_header_show', $acf_header)): ?>
<?php
//defend additional classes
$navbarAdditionalClasses = "";
if (musart_get_theme_mod('single_page_header_size', $acf_header)) {
    $navbarAdditionalClasses .= " nk-header-title-" . musart_get_theme_mod('single_page_header_size', $acf_header);
}
if (musart_get_theme_mod('single_page_header_parallax', $acf_header)) {
    $navbarAdditionalClasses .= " nk-header-title-parallax";
}
if (musart_get_theme_mod('single_page_header_parallax_opacity', $acf_header)) {
    $navbarAdditionalClasses .= " nk-header-title-parallax-opacity";
}
?>
<div
    class="nk-header-title<?php if ($navbarAdditionalClasses) echo musart_sanitize_class($navbarAdditionalClasses); ?>">
    <?php if (musart_get_theme_mod('single_page_header_type_image', $acf_header)): ?>
        <?php
        $banner_url = '';
        if (musart_get_theme_mod('single_page_header_type_image', $acf_header) == 'custom') {
            $banner_path = musart_get_theme_mod('single_page_header_background_image', $acf_header);
            $attachment = musart_get_attachment($banner_path,'musart_1920x1080');
        } elseif (musart_get_theme_mod('single_page_header_type_image', $acf_header) == 'featured') {
            $attachment = musart_get_attachment(get_post_thumbnail_id($post->ID),'musart_1920x1080');
        }
        $banner_url = $attachment['src'];
        ?>
        <?php if (isset($banner_url)): ?>
            <div class="bg-image">
                <div
                    style="background-image: url('<?php echo esc_url($banner_url); ?>');"
                    <?php echo musart_get_theme_mod('single_page_header_background_image_opacity', $acf_header) ? 'class ="' . musart_sanitize_class( 'op-' . musart_get_theme_mod('single_page_header_background_image_opacity', $acf_header)) . '"' : ''; ?>></div>
            </div>
        <?php endif; ?>
    <?php endif; ?>

    <div class="nk-header-table">
        <div class="nk-header-table-cell">
            <div class="container">
                <?php
                $single_page_header_back_title = musart_get_theme_mod('single_page_header_back_title', $acf_header);
                $single_page_header_sub_title = musart_get_theme_mod('single_page_header_sub_title', $acf_header);
                $single_page_header_content = musart_get_theme_mod('single_page_header_content', $acf_header);
                $single_page_header_video_link = musart_get_theme_mod('single_page_header_video_link', $acf_header);
                ?>
                <?php if (!empty($single_page_header_back_title)): ?>
                    <?php
                    $single_page_header_back_title_opacity = 'op-' . musart_get_theme_mod('single_page_header_back_title_opacity', $acf_header);
                    $single_page_header_back_title_padding_bottom = musart_get_theme_mod('single_page_header_back_title_padding_bottom', $acf_header);
                    $back_title_class = 'nk-title-back';
                    $back_title_class .= ' text-' . musart_get_theme_mod('single_page_header_back_title_align', $acf_header);
                    $back_title_class .= ' ' . $single_page_header_back_title_opacity;
                    ?>
                    <h2 class="<?php echo musart_sanitize_class($back_title_class);?>" style="padding-bottom: <?php echo esc_attr($single_page_header_back_title_padding_bottom);?>px;"><?php echo wp_kses_post($single_page_header_back_title); ?></h2>
                <?php endif; ?>
                <?php if (musart_get_theme_mod('single_page_header_show_title', $acf_header)): ?>
                    <?php
                    $single_page_header_title_padding_bottom = musart_get_theme_mod('single_page_header_title_padding_bottom', $acf_header);
                    $single_page_header_title_looks_like = musart_get_theme_mod('single_page_header_title_looks_like', $acf_header);
                    $single_page_header_title_looks_like .= ' nk-title';
                    $single_page_header_title_looks_like .= ' text-' . musart_get_theme_mod('single_page_header_title_align', $acf_header);
                    ?>
                    <h1 class="<?php echo musart_sanitize_class(trim($single_page_header_title_looks_like));?>" style="padding-bottom: <?php echo esc_attr($single_page_header_title_padding_bottom);?>px;">
                        <?php
                        $custom_title = musart_get_theme_mod('single_page_header_custom_title', $acf_header);
                        echo wp_kses_post( $custom_title ? $custom_title : single_post_title('', false) );
                        ?>
                    </h1>
                <?php endif; ?>
                <?php if (!empty($single_page_header_sub_title)): ?>
                    <?php
                    $single_page_header_sub_title_padding_bottom = musart_get_theme_mod('single_page_header_sub_title_padding_bottom', $acf_header);
                    $sub_title_class = 'nk-sub-title';
                    $sub_title_class .= ' text-' . musart_get_theme_mod('single_page_header_sub_title_align', $acf_header);
                    ?>
                    <h2 class="<?php echo musart_sanitize_class($sub_title_class);?>" style="padding-bottom: <?php echo esc_attr($single_page_header_sub_title_padding_bottom);?>px;"><?php echo wp_kses_post($single_page_header_sub_title); ?></h2>
                <?php endif; ?>
                <?php if (!empty($single_page_header_content)):
                    echo do_shortcode(musart_get_theme_mod('single_page_header_content', $acf_header));
                endif; ?>
                <?php if (!empty($single_page_header_video_link)): ?>
                    <?php
                    $style_video_icon = 'nk-video-icon';
                    $single_page_header_video_style = musart_get_theme_mod('single_page_header_video_style', $acf_header);
                    $style_video_icon .= !empty($single_page_header_video_style) ? '-'.$single_page_header_video_style : '';
                    ?>
                    <div class="nk-gap-2"></div>
                    <a class="nk-video-fullscreen-toggle"
                       href="<?php echo esc_url(musart_get_theme_mod('single_page_header_video_link', $acf_header)); ?>">
                        <span class="<?php echo musart_sanitize_class($style_video_icon);?>"><i class="fas fa-play pl-5"></i></span>
                    </a>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
<?php endif; ?>
<!-- END: Header Title -->
